Angular Bootstrap Forms

Angular Forms - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap forms are input-based components that are designed to collect user data. Used as login, subscribe or contact forms, all can be easily customized.

Angular Bootstrap forms in Material Design are simple and pleasant to the eye. While creating MDB, we were aware of their importance in almost every project, so we have put in a lot of effort to get them right.

Such constructions like predefined Form logins, Form registers, Form subscriptions or Form contacts and other layout forms vary in their design and are all at your disposal. Each of them offers a different type of functionality.

You can use the default bootstrap style or the material design version.

In case you want to create your custom form, have a look at the specific pages of our documentation from the list below:


Login / Sign in form

Default form login

Sign in

Not a member? Register

or sign in with:

        
            
              <!-- Default form login -->
              <form class="text-center border border-light p-5">
                <p class="h4 mb-4">Sign in</p>
                <!-- Email -->
                <input type="email" id="defaultLoginFormEmail" class="form-control mb-4" placeholder="E-mail">
                <!-- Password -->
                <input type="password" id="defaultLoginFormPassword" class="form-control mb-4" placeholder="Password">
                <div class="d-flex justify-content-around">
                  <div>
                    <!-- Remember me -->
                    <mdb-checkbox [default]="true">Remember me</mdb-checkbox>
                  </div>
                  <div>
                    <!-- Forgot password -->
                    <a href="">Forgot password?</a>
                  </div>
                </div>
                <!-- Sign in button -->
                <button mdbBtn color="info" block="true" class="my-4" type="submit">Sign in</button>
                <!-- Register -->
                <p>Not a member?
                  <a href="">Register</a>
                </p>
                <!-- Social login -->
                <p>or sign in with:</p>
                <a type="button" class="light-blue-text mx-2">
                  <mdb-icon fab icon="facebook"></mdb-icon>
                </a>
                <a type="button" class="light-blue-text mx-2">
                  <mdb-icon fab icon="twitter"></mdb-icon>
                </a>
                <a type="button" class="light-blue-text mx-2">
                  <mdb-icon fab icon="linkedin"></mdb-icon>
                </a>
                <a type="button" class="light-blue-text mx-2">
                  <mdb-icon fab icon="github"></mdb-icon>
                </a>
              </form>
              <!-- Default form login -->
            
        
    

Material form login MDB Pro component

Sign in

Not a member? Register

or sign in with:

        
            
              <!-- Material form login -->
              <mdb-card>
                <mdb-card-header class="info-color white-text text-center py-4">
                  <h5>
                    <strong>Sign in</strong>
                  </h5>
                </mdb-card-header>
                <!--Card content-->
                <mdb-card-body class="px-lg-5 pt-0">
                  <!-- Form -->
                  <form class="text-center" style="color: #757575;">
                    <!-- Email -->
                    <div class="md-form">
                      <input type="email" id="materialLoginFormEmail" class="form-control" mdbInput>
                      <label for="materialLoginFormEmail">E-mail</label>
                    </div>
                    <!-- Password -->
                    <div class="md-form">
                      <input type="password" id="materialLoginFormPassword" class="form-control" mdbInput>
                      <label for="materialLoginFormPassword">Password</label>
                    </div>
                    <div class="d-flex justify-content-around">
                      <div>
                        <!-- Remember me -->
                        <mdb-checkbox>Remember me</mdb-checkbox>
                      </div>
                      <div>
                        <!-- Forgot password -->
                        <a href="">Forgot password?</a>
                      </div>
                    </div>
                    <!-- Sign in button -->
                    <button mdbBtn color="info" outline="true" rounded="true" block="true"
                      class="my-4 waves-effect z-depth-0" mdbWavesEffect type="submit">Sign in</button>
                    <!-- Register -->
                    <p>Not a member?
                      <a href="">Register</a>
                    </p>
                    <!-- Social login -->
                    <p>or sign in with:</p>
                    <a type="button" mdbBtn floating="true" color="fb" size="sm">
                      <mdb-icon fab icon="facebook"></mdb-icon>
                    </a>
                    <a type="button" mdbBtn floating="true" color="tw" size="sm">
                      <mdb-icon fab icon="twitter"></mdb-icon>
                    </a>
                    <a type="button" mdbBtn floating="true" color="li" size="sm">
                      <mdb-icon fab icon="linkedin"></mdb-icon>
                    </a>
                    <a type="button" mdbBtn floating="true" color="git" size="sm">
                      <mdb-icon fab icon="github"></mdb-icon>
                    </a>
                  </form>
                  <!-- Form -->
                </mdb-card-body>
              </mdb-card>
              <!-- Material form login -->
            
        
    

Register / Sign up form

Default form register

Sign up

At least 8 characters and 1 digit Optional - for two-step authentication

or sign up with:


By clicking Sign up you agree to our terms of service.

        
            
              <!-- Default form register -->
              <form class="text-center border border-light p-5">
                <p class="h4 mb-4">Sign up</p>
                <div class="form-row mb-4">
                  <div class="col">
                    <!-- First name -->
                    <input type="text" id="defaultRegisterFormFirstName" class="form-control" placeholder="First name">
                  </div>
                  <div class="col">
                    <!-- Last name -->
                    <input type="text" id="defaultRegisterFormLastName" class="form-control" placeholder="Last name">
                  </div>
                </div>
                <!-- E-mail -->
                <input type="email" id="defaultRegisterFormEmail" class="form-control mb-4" placeholder="E-mail">
                <!-- Password -->
                <input type="password" id="defaultRegisterFormPassword" class="form-control" placeholder="Password"
                  aria-describedby="defaultRegisterFormPasswordHelpBlock">
                <small id="defaultRegisterFormPasswordHelpBlock" class="form-text text-muted mb-4">
                  At least 8 characters and 1 digit
                </small>
                <!-- Phone number -->
                <input type="text" id="defaultRegisterPhonePassword" class="form-control" placeholder="Phone number"
                  aria-describedby="defaultRegisterFormPhoneHelpBlock">
                <small id="defaultRegisterFormPhoneHelpBlock" class="form-text text-muted mb-4">
                  Optional - for two-step authentication
                </small>
                <!-- Newsletter -->
                <div class="row">
                  <div class="col-md-6 mx-auto d-flex justify-content-center">
                    <mdb-checkbox [default]="true">Subscribe to our newsletter</mdb-checkbox>
                  </div>
                </div>
                <!-- Sign up button -->
                <button mdbBtn color="info" block="true" class="my-4" type="submit">Sign in</button>
                <!-- Social register -->
                <p>or sign up with:</p>
                <a type="button" class="light-blue-text mx-2">
                  <mdb-icon fab icon="facebook"></mdb-icon>
                </a>
                <a type="button" class="light-blue-text mx-2">
                  <mdb-icon fab icon="twitter"></mdb-icon>
                </a>
                <a type="button" class="light-blue-text mx-2">
                  <mdb-icon fab icon="linkedin"></mdb-icon>
                </a>
                <a type="button" class="light-blue-text mx-2">
                  <mdb-icon fab icon="github"></mdb-icon>
                </a>
                <hr>
                <!-- Terms of service -->
                <p>By clicking
                  <em>Sign up</em> you agree to our
                  <a href="" target="_blank">terms of service</a>
                </p>
              </form>
              <!-- Default form register -->
            
        
    

Material form register MDB Pro component

Sign up
At least 8 characters and 1 digit
Optional - for two-step authentication

or sign up with:


By clicking Sign up you agree to our terms of service.

        
            
              <!-- Material form register -->
              <mdb-card>
                <mdb-card-header class="info-color white-text text-center py-4">
                  <h5>
                    <strong>Sign up</strong>
                  </h5>
                </mdb-card-header>
                <!--Card content-->
                <mdb-card-body class="px-lg-5 pt-0">
                  <!-- Form -->
                  <form class="text-center" style="color: #757575;">
                    <div class="form-row">
                      <div class="col">
                        <!-- First name -->
                        <div class="md-form">
                          <input type="text" id="materialRegisterFormFirstName" class="form-control" mdbInput>
                          <label for="materialRegisterFormFirstName">First name</label>
                        </div>
                      </div>
                      <div class="col">
                        <!-- Last name -->
                        <div class="md-form">
                          <input type="email" id="materialRegisterFormLastName" class="form-control" mdbInput>
                          <label for="materialRegisterFormLastName">Last name</label>
                        </div>
                      </div>
                    </div>
                    <!-- E-mail -->
                    <div class="md-form mt-0">
                      <input type="email" id="materialRegisterFormEmail" class="form-control" mdbInput>
                      <label for="materialRegisterFormEmail">E-mail</label>
                    </div>
                    <!-- Password -->
                    <div class="md-form">
                      <input type="password" id="materialRegisterFormPassword" class="form-control"
                        aria-describedby="materialRegisterFormPasswordHelpBlock" mdbInput>
                      <label for="materialRegisterFormPassword">Password</label>
                      <small id="materialRegisterFormPasswordHelpBlock" class="form-text text-muted mb-4">
                        At least 8 characters and 1 digit
                      </small>
                    </div>
                    <!-- Phone number -->
                    <div class="md-form">
                      <input type="text" id="materialRegisterFormPhone" class="form-control"
                        aria-describedby="materialRegisterFormPhoneHelpBlock" mdbInput>
                      <label for="materialRegisterFormPhone">Phone number</label>
                      <small id="materialRegisterFormPhoneHelpBlock" class="form-text text-muted mb-4">
                        Optional - for two-step authentication
                      </small>
                    </div>
                    <!-- Newsletter -->
                    <mdb-checkbox>Subscribe to our newsletter</mdb-checkbox>
                    <!-- Sign up button -->
                    <button mdbBtn color="info" outline="true" rounded="true" block="true"
                      class="my-4 waves-effect z-depth-0" mdbWavesEffect type="submit">Sign in</button>
                    <!-- Social register -->
                    <p>or sign up with:</p>
                    <a type="button" class="light-blue-text mx-2">
                      <mdb-icon fab icon="facebook"></mdb-icon>
                    </a>
                    <a type="button" class="light-blue-text mx-2">
                      <mdb-icon fab icon="twitter"></mdb-icon>
                    </a>
                    <a type="button" class="light-blue-text mx-2">
                      <mdb-icon fab icon="linkedin"></mdb-icon>
                    </a>
                    <a type="button" class="light-blue-text mx-2">
                      <mdb-icon fab icon="heart"></mdb-icon>
                    </a>
                    <hr>
                    <!-- Terms of service -->
                    <p>By clicking
                      <em>Sign up</em> you agree to our
                      <a href="" target="_blank">terms of service</a>.
                    </p>
                  </form>
                  <!-- Form -->
                </mdb-card-body>
              </mdb-card>
              <!-- Material form register -->
            
        
    

Subscription form

Default form subscription

Subscribe

Join our mailing list. We write rarely, but only with the best content.

See the last newsletter

        
            
              <!-- Default form subscription -->
              <form class="text-center border border-light p-5">
                <p class="h4 mb-4">Subscribe</p>
                <p>Join our mailing list. We write rarely, but only with the best content.</p>
                <p>
                  <a href="" target="_blank">See the last newsletter</a>
                </p>
                <!-- Name -->
                <input type="text" id="defaultSubscriptionFormPassword" class="form-control mb-4" placeholder="Name">
                <!-- Email -->
                <input type="email" id="defaultSubscriptionFormEmail" class="form-control mb-4" placeholder="E-mail">
                <!-- Sign in button -->
                <button mdbBtn color="info" block="true" type="submit">Sign in</button>
              </form>
              <!-- Default form subscription -->
            
        
    

Material form subscription MDB Pro component

Subscribe

Join our mailing list. We write rarely, but only the best content.

See the last newsletter

        
            
              <!-- Material form subscription -->
              <mdb-card>
                <mdb-card-header class="info-color white-text text-center py-4">
                  <h5>
                    <strong>Subscribe</strong>
                  </h5>
                </mdb-card-header>
                <!--Card content-->
                <mdb-card-body class="px-lg-5">
                  <!-- Form -->
                  <form class="text-center" style="color: #757575;">
                    <p>Join our mailing list. We write rarely, but only the best content.</p>
                    <p>
                      <a href="" target="_blank">See the last newsletter</a>
                    </p>
                    <!-- Name -->
                    <div class="md-form mt-3">
                      <input type="text" id="materialSubscriptionFormPasswords" class="form-control" mdbInput>
                      <label for="materialSubscriptionFormPasswords">Name</label>
                    </div>
                    <!-- E-mai -->
                    <div class="md-form">
                      <input type="email" id="materialSubscriptionFormEmail" class="form-control" mdbInput>
                      <label for="materialSubscriptionFormEmail">E-mail</label>
                    </div>
                    <!-- Sign in button -->
                    <button mdbBtn color="info" outline="true" rounded="true" block="true"
                      class="z-depth-0 my-4 waves-effect" mdbWavesEffect type="submit">Sign in</button>
                  </form>
                  <!-- Form -->
                </mdb-card-body>
              </mdb-card>
              <!-- Material form subscription -->
            
        
    

Form contact

See also:

1. Tutorial - Creating a fully functional contact form

2. Contact Sections

Default form contact

Contact us

        
            
              <!-- Default form contact -->
              <form class="text-center border border-light p-5">
                <p class="h4 mb-4">Contact us</p>
                <!-- Name -->
                <input type="text" id="defaultContactFormName" class="form-control mb-4" placeholder="Name">
                <!-- Email -->
                <input type="email" id="defaultContactFormEmail" class="form-control mb-4" placeholder="E-mail">
                <!-- Subject -->
                <label>Subject</label>
                <select class="browser-default custom-select mb-4">
                  <option value="" disabled>Choose option</option>
                  <option value="1" selected>Feedback</option>
                  <option value="2">Report a bug</option>
                  <option value="3">Feature request</option>
                  <option value="4">Feature request</option>
                </select>
                <!-- Message -->
                <div class="form-group">
                  <textarea class="form-control rounded-0" id="exampleFormControlTextarea2" rows="3"
                    placeholder="Message"></textarea>
                </div>
                <!-- Copy -->
                <div class="row">
                  <div class="col-md-6 mx-auto d-flex justify-content-center">
                    <mdb-checkbox [default]="true" class="mb-4">Send me a copy of this message</mdb-checkbox>
                  </div>
                </div>
                <!-- Send button -->
                <button mdbBtn color="info" block="true" type="submit">Send</button>
              </form>
              <!-- Default form contact -->
            
        
    

Material form contact MDB Pro component

Contact us
Subject
        
            
              <!-- Material form contact -->
              <mdb-card>
                <mdb-card-header class="info-color white-text text-center py-4">
                  <h5>
                    <strong>Contact us</strong>
                  </h5>
                </mdb-card-header>
                <!--Card content-->
                <mdb-card-body class="px-lg-5 pt-0">
                  <!-- Form -->
                  <form class="text-center" style="color: #757575;">
                    <!-- Name -->
                    <div class="md-form mt-3">
                      <input type="text" id="materialContactFormName" class="form-control" mdbInput>
                      <label for="materialContactFormName">Name</label>
                    </div>
                    <!-- E-mail -->
                    <div class="md-form">
                      <input type="email" id="materialContactFormEmail" class="form-control" mdbInput>
                      <label for="materialContactFormEmail">E-mail</label>
                    </div>
                    <!-- Subject -->
                    <span>Subject</span>
                    <div class="row">
                      <div class="col-md-12 mx-auto">
                        <mdb-select [options]="optionsSelect" placeholder="Choose your option"></mdb-select>
                      </div>
                    </div>
                    <!--Message-->
                    <div class="md-form">
                      <textarea type="text" id="materialContactFormMessage" class="form-control md-textarea"
                        mdbInput></textarea>
                      <label for="materialContactFormMessage">Message</label>
                    </div>
                    <!-- Copy -->
                    <div class="row">
                      <div class="col-md-6 mx-auto d-flex justify-content-center">
                        <mdb-checkbox>Send me a copy of this message</mdb-checkbox>
                      </div>
                    </div>
                    <!-- Send button -->
                    <button mdbBtn color="info" outline="true" rounded="true" block="true"
                      class="z-depth-0 my-4 waves-effect" mdbWavesEffect type="submit">Send</button>
                  </form>
                  <!-- Form -->
                </mdb-card-body>
              </mdb-card>
              <!-- Material form contact -->
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'contact-form',
                templateUrl: './contact-form.component.html',
                styleUrls: ['./contact-form.component.scss'],
              })
              export class ContactFormComponent {
                optionsSelect: [
                  { value: 'Feedback', label: 'Feedback' },
                  { value: 'Report a bug', label: 'Report a bug' },
                  { value: 'Feature request', label: 'Feature request' },
                  { value: 'Other stuff', label: 'Other stuff' },
                ];
              }
            
        
    

Angular Forms - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of forms component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { CheckboxModule, WavesModule, ButtonsModule, InputsModule, IconsModule, CardsModule, SelectModule } from 'ng-uikit-pro-standard';
          import { FormsModule, ReactiveFormsModule } from '@angular/forms';
        
        
    
        
            
          import { CheckboxModule, WavesModule, ButtonsModule, InputsModule, IconsModule, CardsModule } from 'angular-bootstrap-md';
          import { FormsModule, ReactiveFormsModule } from '@angular/forms';
        
        
    

Angular Forms - examples & customization


Form within a card

Form in a card component is a elegant way to create forms in Angular application.

Sign up

        
            
          <mdb-card>
            <mdb-card-body>
              <!-- Material form register -->
              <form [formGroup]="cardForm">
                <p class="h4 text-center py-4">Sign up</p>

                <!-- Material input text -->
                <div class="md-form">
                  <mdb-icon fas icon="user" class="prefix grey-text"></mdb-icon>
                  <input
                    type="text"
                    id="materialFormCardNameEx"
                    formControlName="materialFormCardNameEx"
                    class="form-control"
                    mdbInput
                  />
                  <label for="materialFormCardNameEx" class="font-weight-light">Your name</label>
                </div>

                <!-- Material input email -->
                <div class="md-form">
                  <mdb-icon fas icon="envelope" class="prefix grey-text"></mdb-icon>
                  <input
                    type="email"
                    id="materialFormCardEmailEx"
                    formControlName="materialFormCardEmailEx"
                    class="form-control"
                    mdbInput
                  />
                  <label for="materialFormCardEmailEx" class="font-weight-light">Your email</label>
                </div>

                <!-- Material input email -->
                <div class="md-form">
                  <mdb-icon fas icon="exclamation-triangle" class="prefix grey-text"></mdb-icon>
                  <input
                    type="email"
                    id="materialFormCardConfirmEx"
                    formControlName="materialFormCardConfirmEx"
                    class="form-control"
                    mdbInput
                  />
                  <label for="materialFormCardConfirmEx" class="font-weight-light">Confirm your email</label>
                </div>

                <!-- Material input password -->
                <div class="md-form">
                  <mdb-icon icon="lock" class="prefix grey-text"></mdb-icon>
                  <input
                    type="password"
                    id="materialFormCardPasswordEx"
                    formControlName="materialFormCardPasswordEx"
                    class="form-control"
                    mdbInput
                  />
                  <label for="materialFormCardPasswordEx" class="font-weight-light">Your password</label>
                </div>

                <div class="text-center py-4 mt-3">
                  <button mdbBtn color="cyan" class="waves-light" type="submit" mdbWavesEffect>
                    Register
                  </button>
                </div>
              </form>
              <!-- Material form register -->
            </mdb-card-body>
          </mdb-card>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { FormGroup, FormBuilder, Validators } from '@angular/forms';

          @Component({
              selector: 'card-form',
              templateUrl: './card-form.component.html',
              styleUrls: ['./card-form.component.scss']
          })
          export class CardFormComponent {
            cardForm: FormGroup;

            constructor(private fb: FormBuilder) {
              this.cardForm = fb.group({
                materialFormCardNameEx: ['', Validators.required],
                materialFormCardEmailEx: ['', [Validators.email, Validators.required]],
                materialFormCardConfirmEx: ['', Validators.required],
                materialFormCardPasswordEx: ['', Validators.required]
              });
            }
          }
        
        
    

Form within a modal

Form in a modal component allows you to show user some data dynamically.

        
            
          <button
            type="button"
            mdbBtn
            color="primary"
            class="waves-light"
            (click)="form.show()"
            mdbWavesEffect
          >
            Contact form
          </button>
          <!--Modal: Contact form-->
          <div
            mdbModal
            #form="mdb-modal"
            class="modal fade"
            id="modalContactForm"
            tabindex="-1"
            role="dialog"
            aria-labelledby="myModalLabel"
            aria-hidden="true"
          >
            <div class="modal-dialog cascading-modal" role="document">
              <!--Content-->
              <div class="modal-content">
                <!--Header-->
                <div class="modal-header light-blue darken-3 white-text">
                  <h4 class="title">
                    <mdb-icon fas icon="pencil-alt" class="prefix"></mdb-icon>
                    <button
                      type="button"
                      class="close waves-effect waves-light"
                      data-dismiss="modal"
                      aria-label="Close"
                      (click)="form.hide()"
                    >
                      <span aria-hidden="true">×</span>
                    </button>
                  </h4>
                </div>
                <!--Body-->
                <div class="modal-body mb-0">
                  <form [formGroup]="modalForm">
                    <div class="md-form form-sm">
                      <mdb-icon fas icon="envelope" class="prefix"></mdb-icon>
                      <input
                        mdbInput
                        type="text"
                        id="modalFormNameEx"
                        formControlName="modalFormNameEx"
                        class="form-control"
                      />
                      <label for="modalFormNameEx">Your name</label>
                    </div>

                    <div class="md-form form-sm">
                      <mdb-icon icon="lock" class="prefix"></mdb-icon>
                      <input
                        mdbInput
                        type="email"
                        id="modalFormEmailEx"
                        formControlName="modalFormEmailEx"
                        class="form-control"
                      />
                      <label for="modalFormEmailEx">Your email</label>
                    </div>

                    <div class="md-form form-sm">
                      <mdb-icon icon="tag" class="prefix"></mdb-icon>
                      <input
                        mdbInput
                        type="text"
                        id="modalFormSubjectEx"
                        formControlName="modalFormSubjectEx"
                        class="form-control"
                      />
                      <label for="modalFormSubjectEx">Subject</label>
                    </div>

                    <div class="md-form form-sm">
                      <mdb-icon fas icon="pencil-alt" class="prefix"></mdb-icon>
                      <textarea
                        mdbInput
                        type="text"
                        id="modalFormTextEx"
                        formControlName="modalFormTextEx"
                        class="md-textarea mb-0"
                      ></textarea>
                      <label for="modalFormTextEx">Your message</label>
                    </div>

                    <div class="text-center mt-1-half">
                      <button mdbBtn color="info" class="mb-2 waves-light" mdbWavesEffect>
                        Send
                        <mdb-icon fas icon="paper-plane" class="prefix ml-1"></mdb-icon>
                      </button>
                    </div>
                  </form>
                </div>
              </div>
              <!--/.Content-->
            </div>
          </div>
          <!--Modal: Contact form-->
        
        
    
        
            
          import { Component } from '@angular/core';
          import { Validators, FormBuilder, FormGroup } from '@angular/forms';

          @Component({
            selector: 'modal-form',
            templateUrl: './modal-form.component.html',
            styleUrls: ['./modal-form.component.scss'],
          })
          export class ModalFormComponent {
            modalForm: FormGroup;

            constructor(public fb: FormBuilder) {
              this.modalForm = fb.group({
                modalFormNameEx: ['', Validators.required],
                modalFormEmailEx: ['', [Validators.email, Validators.required]],
                modalFormSubjectEx: ['', Validators.required],
                modalFormTextEx: ['', Validators.required]
              });
            }
          }
        
        
    

Elegant Form

Elegant form with gradient block-button and social media icons in elegant buttons.

Sign in

Forgot Password?

or Sign in with:

        
            
          <div class="row">
            <div class="col-md-6 mx-auto my-5">
              <section class="form-elegant">
                <mdb-card>
                  <mdb-card-body class="mx-4">
                    <!--Header-->
                    <div class="text-center">
                      <h3 class="dark-grey-text mb-5">
                        <strong>Sign in</strong>
                      </h3>
                    </div>

                    <form [formGroup]="elegantForm">
                      <div class="md-form">
                        <input
                          type="text"
                          id="elegantFormEmailEx"
                          class="form-control"
                          formControlName="elegantFormEmailEx"
                          mdbInput
                        />
                        <label for="elegantFormEmailEx">Your email</label>
                      </div>

                      <div class="md-form pb-3">
                        <input
                          type="password"
                          id="elegantFormPasswordEx"
                          formControlName="elegantFormPasswordEx"
                          class="form-control"
                          mdbInput
                        />
                        <label for="elegantFormPasswordEx">Your password</label>
                        <p class="font-small blue-text d-flex justify-content-end">
                          Forgot
                          <a href="#" class="blue-text ml-1"> Password?</a>
                        </p>
                      </div>
                    </form>
                    <!--Body-->

                    <div class="text-center mb-3">
                      <button
                        type="button"
                        mdbBtn
                        gradient="blue"
                        block="true"
                        rounded="true"
                        class="z-depth-1a waves-light"
                        mdbWavesEffect
                      >
                        Sign in
                      </button>
                    </div>
                    <p class="font-small dark-grey-text text-right d-flex justify-content-center mb-3 pt-2">
                      or Sign in with:
                    </p>

                    <div class="row my-3 d-flex justify-content-center">
                      <!--Facebook-->
                      <button
                        type="button"
                        mdbBtn
                        color="white"
                        rounded="true"
                        class="mr-md-3 z-depth-1a waves-light"
                        mdbWavesEffect
                      >
                        <mdb-icon fab icon="facebook" class="blue-text text-center"></mdb-icon>
                      </button>
                      <!--Twitter-->
                      <button
                        type="button"
                        mdbBtn
                        color="white"
                        rounded="true"
                        class="mr-md-3 z-depth-1a waves-light"
                        mdbWavesEffect
                      >
                        <mdb-icon fab icon="twitter" class="blue-text"></mdb-icon>
                      </button>
                      <!--Google +-->
                      <button
                        type="button"
                        mdbBtn
                        color="white"
                        rounded="true"
                        class="z-depth-1a waves-light"
                        mdbWavesEffect
                      >
                        <mdb-icon fab fab icon="google-plus" class="blue-text"></mdb-icon>
                      </button>
                    </div>
                  </mdb-card-body>
                  <!--Footer-->
                  <div class="modal-footer mx-5 pt-3 mb-1">
                    <p class="font-small grey-text d-flex justify-content-end">
                      Not a member?
                      <a href="#" class="blue-text ml-1"> Sign Up</a>
                    </p>
                  </div>
                </mdb-card>
              </section>
            </div>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { Validators, FormBuilder, FormGroup } from '@angular/forms';

          @Component({
            selector: 'elegant-form',
            templateUrl: './elegant-form.component.html',
            styleUrls: ['./elegant-form.component.scss'],
          })
          export class ElegantFormComponent {
            elegantForm: FormGroup;

            constructor(public fb: FormBuilder) {
              this.elegantForm = fb.group({
                elegantFormEmailEx: ['', [Validators.required, Validators.email]],
                elegantFormPasswordEx: ['', Validators.required],
              });
            }
          }
        
        
    
        
            
          .form-elegant .font-small {
            font-size: 0.8rem;
          }

          .form-elegant .z-depth-1a {
            -webkit-box-shadow: 0 2px 5px 0 rgba(55, 161, 255, 0.26), 0 4px 12px 0 rgba(121, 155, 254, 0.25);
            box-shadow: 0 2px 5px 0 rgba(55, 161, 255, 0.26), 0 4px 12px 0 rgba(121, 155, 254, 0.25);
          }

          .form-elegant .z-depth-1-half,
          .form-elegant .btn:hover {
            -webkit-box-shadow: 0 5px 11px 0 rgba(85, 182, 255, 0.28), 0 4px 15px 0 rgba(36, 133, 255, 0.15);
            box-shadow: 0 5px 11px 0 rgba(85, 182, 255, 0.28), 0 4px 15px 0 rgba(36, 133, 255, 0.15);
          }
        
        
    

Gradient Form

Gradient form with big social icons and rounded button.

Log in

Forgot Password?

Don't have an account? Sign up

        
            
          <section class="form-gradient">
            <!--Form with header-->
            <mdb-card>
              <!--Header-->
              <div class="header pt-3 peach-gradient">
                <div class="row d-flex justify-content-center">
                  <h3 class="white-text mb-3 pt-3 font-weight-bold">Log in</h3>
                </div>

                <div class="row mt-2 mb-3 d-flex justify-content-center">
                  <!--Facebook-->
                  <a class="fa-lg p-2 m-2 fb-ic">
                    <mdb-icon fab icon="facebook" class="white-text" size="lg"></mdb-icon>
                  </a>
                  <!--Twitter-->
                  <a class="fa-lg p-2 m-2 tw-ic">
                    <mdb-icon fab icon="twitter" class="white-text" size="lg"></mdb-icon>
                  </a>
                  <!--Google +-->
                  <a class="fa-lg p-2 m-2 gplus-ic">
                    <mdb-icon fab fab icon="google-plus" class="white-text" size="lg"></mdb-icon>
                  </a>
                </div>
              </div>
              <!--Header-->

              <mdb-card-body class="mx-4 mt-4">
                <!--Body-->
                <form [formGroup]="gradientForm">
                  <div class="md-form">
                    <input
                      type="text"
                      id="gradientFormEmailEx"
                      formControlName="gradientFormEmailEx"
                      class="form-control"
                      mdbInput
                    />
                    <label for="gradientFormEmailEx">Your email</label>
                  </div>

                  <div class="md-form pb-1 pb-md-3">
                    <input
                      type="password"
                      id="gradientFormPasswordEx"
                      formControlName="gradientFormPasswordEx"
                      class="form-control"
                      mdbInput
                    />
                    <label for="gradientFormPasswordEx">Your password</label>
                    <p class="font-small grey-text d-flex justify-content-end">
                      Forgot
                      <a href="#" class="dark-grey-text ml-1 font-weight-bold"> Password?</a>
                    </p>
                  </div>
                </form>

                <!--Grid row-->
                <div class="row d-flex align-items-center mb-4">
                  <!--Grid column-->
                  <div class="col-md-1 col-md-5 d-flex align-items-start">
                    <div class="text-center">
                      <button
                        type="button"
                        mdbBtn
                        color="grey"
                        rounded="true"
                        class="z-depth-1a waves-light"
                        mdbWavesEffect
                      >
                        Log in
                      </button>
                    </div>
                  </div>
                  <!--Grid column-->

                  <!--Grid column-->
                  <div class="col-md-7">
                    <p class="font-small grey-text d-flex justify-content-end mt-3">
                      Don't have an account?
                      <a href="#" class="dark-grey-text ml-1 font-weight-bold"> Sign up</a>
                    </p>
                  </div>
                  <!--Grid column-->
                </div>
                <!--Grid row-->
              </mdb-card-body>
            </mdb-card>
            <!--/Form with header-->
          </section>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { Validators, FormBuilder, FormGroup } from '@angular/forms';

          @Component({
            selector: 'gradient-form',
            templateUrl: './gradient-form.component.html',
            styleUrls: ['./gradient-form.component.scss'],
          })
          export class GradientFormComponent {
            gradientForm: FormGroup;

            constructor(public fb: FormBuilder) {
              this.gradientForm = fb.group({
                gradientFormEmailEx: ['', [Validators.required, Validators.email]],
                gradientFormPasswordEx: ['', Validators.required],
              });
            }
          }
        
        
    
        
            
          .form-gradient .font-small {
            font-size: 0.8rem;
          }

          .form-gradient .header {
            border-top-left-radius: 0.3rem;
            border-top-right-radius: 0.3rem;
          }

          .form-gradient input[type='text']:focus:not([readonly]) {
            border-bottom: 1px solid #fd9267;
            -webkit-box-shadow: 0 1px 0 0 #fd9267;
            box-shadow: 0 1px 0 0 #fd9267;
          }

          .form-gradient input[type='text']:focus:not([readonly]) + label {
            color: #4f4f4f;
          }

          .form-gradient input[type='password']:focus:not([readonly]) {
            border-bottom: 1px solid #fd9267;
            -webkit-box-shadow: 0 1px 0 0 #fd9267;
            box-shadow: 0 1px 0 0 #fd9267;
          }

          .form-gradient input[type='password']:focus:not([readonly]) + label {
            color: #4f4f4f;
          }
        
        
    

Light Form

Light form with big social icons in footer, checkbox and rounded button.

Sign up

Have an account? Log in

        
            
          <section class="form-light">
            <!--Form without header-->
            <mdb-card>
              <mdb-card-body class="mx-4">
                <!--Header-->
                <div class="text-center">
                  <h3 class="pink-text mb-5">
                    <strong>Sign up</strong>
                  </h3>
                </div>

                <!--Body-->
                <form [formGroup]="lightForm">
                  <div class="md-form">
                    <input
                      type="text"
                      id="lightFormEmailEx"
                      class="form-control"
                      formControlName="lightFormEmailEx"
                      mdbInput
                    />
                    <label for="lightFormEmailEx">Your email</label>
                  </div>

                  <div class="md-form pb-3">
                    <input
                      type="password"
                      id="lightFormPasswordEx"
                      class="form-control"
                      formControlName="lightFormPasswordEx"
                      mdbInput
                    />
                    <label for="lightFormPasswordEx">Your password</label>
                    <mdb-checkbox mdbInput class="my-4"
                      >Accept the <a href="#" class="blue-text"> Terms and Conditions</a></mdb-checkbox
                    >
                  </div>
                </form>

                <!--Grid row-->
                <div class="row d-flex align-items-center mb-4">
                  <!--Grid column-->
                  <div class="col-md-3 col-md-6 text-center">
                    <button
                      type="button"
                      mdbBtn
                      color="pink"
                      block="true"
                      rounded="true"
                      class="z-depth-1 waves-light"
                      mdbWavesEffect
                    >
                      Sign up
                    </button>
                  </div>
                  <!--Grid column-->

                  <!--Grid column-->
                  <div class="col-md-6">
                    <p class="font-small grey-text d-flex justify-content-end">
                      Have an account?
                      <a href="#" class="blue-text ml-1"> Log in</a>
                    </p>
                  </div>
                  <!--Grid column-->
                </div>
                <!--Grid row-->
              </mdb-card-body>

              <!--Footer-->
              <div class="footer pt-3 mdb-color lighten-3">
                <div class="row d-flex justify-content-center">
                  <p class="font-small white-text mb-2 pt-3">or Sign up with:</p>
                </div>

                <div class="row mt-2 mb-3 d-flex justify-content-center">
                  <!--Facebook-->
                  <a class="fa-lg p-2 m-2 fb-ic">
                    <mdb-icon fab icon="facebook" size="lg" class="white-text"></mdb-icon>
                  </a>
                  <!--Twitter-->
                  <a class="fa-lg p-2 m-2 tw-ic">
                    <mdb-icon fab icon="twitter" size="lg" class="white-text"></mdb-icon>
                  </a>
                  <!--Google +-->
                  <a class="fa-lg p-2 m-2 gplus-ic">
                    <mdb-icon fab fab icon="google-plus" size="lg" class="white-text"></mdb-icon>
                  </a>
                </div>
              </div>
            </mdb-card>
            <!--/Form without header-->
          </section>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { Validators, FormBuilder, FormGroup } from '@angular/forms';

          @Component({
            selector: 'light-form',
            templateUrl: './light-form.component.html',
            styleUrls: ['./light-form.component.scss'],
          })
          export class LightFormComponent {
            lightForm: FormGroup;

            constructor(public fb: FormBuilder) {
              this.lightForm = fb.group({
                lightFormEmailEx: ['', [Validators.required, Validators.email]],
                lightFormPasswordEx: ['', Validators.required],
              });
            }
          }
        
        
    
        
            
          .form-light .font-small {
            font-size: 0.8rem;
          }

          .form-light [type='radio'] + label,
          .form-light [type='checkbox'] + label {
            font-size: 0.8rem;
          }

          .form-light [type='checkbox'] + label:before {
            top: 2px;
            width: 15px;
            height: 15px;
          }

          .form-light input[type='checkbox'] + label:before {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 17px;
            height: 17px;
            z-index: 0;
            border-radius: 1px;
            margin-top: 2px;
            -webkit-transition: 0.2s;
            transition: 0.2s;
          }

          .form-light input[type='checkbox']:checked + label:before {
            top: -4px;
            left: -3px;
            width: 12px;
            height: 22px;
            border-style: solid;
            border-width: 2px;
            border-color: transparent #eb3573 #eb3573 transparent;
            -webkit-transform: rotate(40deg);
            -ms-transform: rotate(40deg);
            transform: rotate(40deg);
            -webkit-backface-visibility: hidden;
            -webkit-transform-origin: 100% 100%;
            -ms-transform-origin: 100% 100%;
            transform-origin: 100% 100%;
          }

          .form-light .footer {
            border-bottom-left-radius: 0.3rem;
            border-bottom-right-radius: 0.3rem;
          }
        
        
    


Dark Form

Dark form with big rounded block-button and checkbox.

SIGN UP

Have an account? Log in

        
            
          <section class="form-dark">
            <!--Form without header-->
            <mdb-card
              style="background-image: url('https://mdbootstrap.com/img/Photos/Others/pricing-table7.webp')"
              style="width: 28rem; background-size: cover"
            >
              <div class="text-white rgba-stylish-strong py-5 px-5 z-depth-4">
                <!--Header-->
                <div class="text-center">
                  <h3 class="white-text mb-5 mt-4 font-weight-bold">
                    <strong>SIGN</strong>
                    <a class="green-text font-weight-bold">
                      <strong> UP</strong>
                    </a>
                  </h3>
                </div>

                <!--Body-->
                <form [formGroup]="darkForm">
                  <div class="md-form">
                    <input
                      type="text"
                      id="darkFormEmailEx"
                      class="form-control white-text"
                      formControlName="darkFormEmailEx"
                      mdbInput
                    />
                    <label for="darkFormEmailEx">Your email</label>
                  </div>

                  <div class="md-form pb-3">
                    <input
                      type="password"
                      id="darkFormPasswordEx"
                      class="form-control white-text"
                      formControlName="darkFormPasswordEx"
                      mdbInput
                    />
                    <label for="darkFormPasswordEx">Your password</label>
                    <mdb-checkbox mdbInput class="my-4"
                      >Accept the
                      <a href="#" class="green-text font-weight-bold"> Terms and Conditions</a></mdb-checkbox
                    >
                  </div>
                </form>

                <!--Grid row-->
                <div class="row d-flex align-items-center mb-4">
                  <!--Grid column-->
                  <div class="text-center mb-3 col-md-12">
                    <button
                      type="button"
                      mdbBtn
                      color="success"
                      block="true"
                      rounded="true"
                      class="z-depth-1 waves-light"
                      mdbWavesEffect
                    >
                      Sign in
                    </button>
                  </div>
                  <!--Grid column-->
                </div>
                <!--Grid row-->

                <!--Grid column-->
                <div class="col-md-12">
                  <p class="font-small white-text d-flex justify-content-end">
                    Have an account?
                    <a href="#" class="green-text ml-1 font-weight-bold"> Log in</a>
                  </p>
                </div>
                <!--Grid column-->
              </div>
            </mdb-card>
          </section>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { Validators, FormBuilder, FormGroup } from '@angular/forms';

          @Component({
            selector: 'dark-form',
            templateUrl: './dark-form.component.html',
            styleUrls: ['./dark-form.component.scss'],
          })
          export class DarkFormComponent {
            darkForm: FormGroup;

            constructor(public fb: FormBuilder) {
              this.darkForm = fb.group({
                darkFormEmailEx: ['', [Validators.required, Validators.email]],
                darkFormPasswordEx: ['', Validators.required],
              });
            }
          }
        
        
    
        
            
          .form-dark .font-small {
            font-size: 0.8rem;
          }

          .form-dark [type='radio'] + label,
          .form-dark [type='checkbox'] + label {
            font-size: 0.8rem;
          }

          .form-dark [type='checkbox'] + label:before {
            top: 2px;
            width: 15px;
            height: 15px;
          }

          .form-dark .md-form label {
            color: #fff;
          }

          .form-dark input[type='text']:focus:not([readonly]) {
            border-bottom: 1px solid #00c851;
            -webkit-box-shadow: 0 1px 0 0 #00c851;
            box-shadow: 0 1px 0 0 #00c851;
          }

          .form-dark input[type='text']:focus:not([readonly]) + label {
            color: #fff;
          }

          .form-dark input[type='password']:focus:not([readonly]) {
            border-bottom: 1px solid #00c851;
            -webkit-box-shadow: 0 1px 0 0 #00c851;
            box-shadow: 0 1px 0 0 #00c851;
          }

          .form-dark input[type='password']:focus:not([readonly]) + label {
            color: #fff;
          }

          .form-dark input[type='checkbox'] + label:before {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 17px;
            height: 17px;
            z-index: 0;
            border: 1.5px solid #fff;
            border-radius: 1px;
            margin-top: 2px;
            -webkit-transition: 0.2s;
            transition: 0.2s;
          }

          .form-dark input[type='checkbox']:checked + label:before {
            top: -4px;
            left: -3px;
            width: 12px;
            height: 22px;
            border-style: solid;
            border-width: 2px;
            border-color: transparent #00c851 #00c851 transparent;
            -webkit-transform: rotate(40deg);
            -ms-transform: rotate(40deg);
            transform: rotate(40deg);
            -webkit-backface-visibility: hidden;
            -webkit-transform-origin: 100% 100%;
            -ms-transform-origin: 100% 100%;
            transform-origin: 100% 100%;
          }
        
        
    

Simple Form

Simple elegant form without unnecessary elements

Log in

Forgot Password?

Don't have an account? Sign up

        
            
          <section class="form-simple">
            <!--Form with header-->
            <mdb-card>
              <!--Header-->
              <div class="header pt-3 grey lighten-2">
                <div class="row d-flex justify-content-start">
                  <h3 class="deep-grey-text mt-3 mb-4 pb-1 mx-5">Log in</h3>
                </div>
              </div>
              <!--Header-->

              <mdb-card-body class="mx-4 mt-4">
                <!--Body-->
                <form [formGroup]="simpleForm">
                  <div class="md-form">
                    <input
                      type="text"
                      id="simpleFormEmailEx"
                      class="form-control"
                      formControlName="simpleFormEmailEx"
                      mdbInput
                    />
                    <label for="simpleFormEmailEx">Your email</label>
                  </div>

                  <div class="md-form pb-3">
                    <input
                      type="password"
                      id="simpleFormPasswordEx"
                      class="form-control"
                      formControlName="simpleFormPasswordEx"
                      mdbInput
                    />
                    <label for="simpleFormPasswordEx">Your password</label>
                    <p class="font-small grey-text d-flex justify-content-end">
                      Forgot
                      <a href="#" class="dark-grey-text font-weight-bold ml-1"> Password?</a>
                    </p>
                  </div>
                </form>

                <div class="text-center mb-4">
                  <button type="button" mdbBtn color="danger" block="true" class="z-depth-2">Log in</button>
                </div>
                <p class="font-small grey-text d-flex justify-content-center">
                  Don't have an account?
                  <a href="#" class="dark-grey-text font-weight-bold ml-1"> Sign up</a>
                </p>
              </mdb-card-body>
            </mdb-card>
            <!--/Form with header-->
          </section>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { Validators, FormBuilder, FormGroup } from '@angular/forms';

          @Component({
            selector: 'simple-form',
            templateUrl: './simple-form.component.html',
            styleUrls: ['./simple-form.component.scss'],
          })
          export class SimpleFormComponent {
            simpleForm: FormGroup;

            constructor(public fb: FormBuilder) {
              this.simpleForm = fb.group({
                simpleFormEmailEx: ['', [Validators.required, Validators.email]],
                simpleFormPasswordEx: ['', Validators.required],
              });
            }
          }
        
        
    
        
            
          .form-simple .font-small {
            font-size: 0.8rem;
          }

          .form-simple .header {
            border-top-left-radius: 0.3rem;
            border-top-right-radius: 0.3rem;
          }

          .form-simple input[type='text']:focus:not([readonly]) {
            border-bottom: 1px solid #ff3547;
            -webkit-box-shadow: 0 1px 0 0 #ff3547;
            box-shadow: 0 1px 0 0 #ff3547;
          }

          .form-simple input[type='text']:focus:not([readonly]) + label {
            color: #4f4f4f;
          }

          .form-simple input[type='password']:focus:not([readonly]) {
            border-bottom: 1px solid #ff3547;
            -webkit-box-shadow: 0 1px 0 0 #ff3547;
            box-shadow: 0 1px 0 0 #ff3547;
          }

          .form-simple input[type='password']:focus:not([readonly]) + label {
            color: #4f4f4f;
          }

Vue Bootstrap Forms Examples

Vue Forms - Bootstrap 4 & Material Design

Vue Bootstrap forms are input-based components which are designed to collect users data. Used as login, subscribe or contact form, all can be easily customized.

Bootstrap forms in Material Design are simple and eye-pleasant. While creating MDB, we were aware of their importance in almost every project, so we have put a lot of effort to get them right.

Such constructions like predefined Form logins, Form registers, Form subscriptions or Form contacts and other layout forms varying in their design are all at your disposal. Each of them offers a different type of functionality.

You can use material design version or default bootstrap style.

Login:

Login:



Form login

Sign in

        
            
            <template>
              <!-- Material form login -->
              <form>
                <p class="h4 text-center mb-4">Sign in</p>
                <div class="grey-text">
                  <mdb-input label="Your email" icon="envelope" type="email" />
                  <mdb-input label="Your password" icon="lock" type="password" />
                </div>
                <div class="text-center">
                  <mdb-btn>Login</mdb-btn>
                </div>
              </form>
              <!-- Material form login -->
            </template>
            
        
    
        
            
            <script>
              import {
                mdbInput,
                mdbBtn
              } from 'mdbvue';
              export default {
                name: 'Basic',
                components: {
                  mdbInput,
                  mdbBtn
                },
              }
            </script>
            
        
    

Sign in


        
            
            <template>
              <!-- Default form login -->
              <form>
                <p class="h4 text-center mb-4">Sign in</p>
                <label for="defaultFormLoginEmailEx" class="grey-text">Your email</label>
                <input type="email" id="defaultFormLoginEmailEx" class="form-control" />
                <br />
                <label for="defaultFormLoginPasswordEx" class="grey-text">Your password</label>
                <input type="password" id="defaultFormLoginPasswordEx" class="form-control" />
                <div class="text-center mt-4">
                  <button class="btn btn-indigo" type="submit">Login</button>
                </div>
              </form>
              <!-- Default form login -->
            </template>
            
        
    

Form register

Sign up

        
            
            <template>
              <!-- Material form register -->
              <form>
                <p class="h4 text-center mb-4">Sign up</p>
                <div class="grey-text">
                  <mdb-input label="Your name" icon="user" type="text" />
                  <mdb-input label="Your email" icon="envelope" type="email" />
                  <mdb-input label="Confirm your email" icon="exclamation-triangle" type="text" />
                  <mdb-input label="Your password" icon="lock" type="password" />
                </div>
                <div class="text-center">
                  <mdb-btn color="primary">Register</mdb-btn>
                </div>
              </form>
              <!-- Material form register -->
            </template>
            
        
    
        
            
            <script>
              import {
                mdbInput,
                mdbBtn
              } from 'mdbvue';
              export default {
                name: 'Basic',
                components: {
                  mdbInput,
                  mdbBtn
                }
              }
            </script>
            
        
    

Sign up




        
            
            <template>
              <!-- Default form register -->
              <form>
                <p class="h4 text-center mb-4">Sign up</p>
                <label for="defaultFormRegisterNameEx" class="grey-text">Your name</label>
                <input type="text" id="defaultFormRegisterNameEx" class="form-control" />
                <br />
                <label for="defaultFormRegisterEmailEx" class="grey-text">Your email</label>
                <input type="email" id="defaultFormRegisterEmailEx" class="form-control" />
                <br />
                <label for="defaultFormRegisterConfirmEx" class="grey-text">Confirm your email</label>
                <input type="email" id="defaultFormRegisterConfirmEx" class="form-control" />
                <br />
                <label for="defaultFormRegisterPasswordEx" class="grey-text">Your password</label>
                <input type="password" id="defaultFormRegisterPasswordEx" class="form-control" />
                <div class="text-center mt-4">
                  <button class="btn btn-unique" type="submit">Register</button>
                </div>
              </form>
              <!-- Default form register -->
            </template>
            
        
    

Form subscription

Subscribe

        
            
            <template>
              <!-- Material form subscription -->
              <form>
                <p class="h5 text-center mb-4">Subscribe</p>
                <div class="grey-text">
                  <mdb-input label="Your name" icon="user" type="text" />
                  <mdb-input label="Your email" icon="envelope" type="email" />
                </div>
                <div class="text-center">
                  <mdb-btn outline="info">Send
                    <mdb-icon far icon="paper-plane" class="ml-1" />
                  </mdb-btn>
                </div>
              </form>
              <!-- Material form subscription -->
            </template>
            
        
    
        
            
            <script>
              import {
                mdbInput,
                mdbBtn
              } from 'mdbvue';
              export default {
                name: 'Basic',
                components: {
                  mdbInput,
                  mdbBtn
                }
              }
            </script>
            
        
    

Subscribe


        
            
            <template>
              <!-- Default form subscription -->
              <form>
                <p class="h4 text-center mb-4">Subscribe</p>
                <!-- Default input name -->
                <label for="defaultFormSubscriptionNameEx" class="grey-text">Your name</label>
                <input type="text" id="defaultFormSubscriptionNameEx" class="form-control">
                <br>
                <!-- Default input email -->
                <label for="defaultFormSubscriptionEmailEx" class="grey-text">Your email</label>
                <input type="email" id="defaultFormSubscriptionEmailEx" class="form-control">
                <div class="text-center mt-4">
                  <button class="btn btn-outline-purple" type="submit">Send<i
                      class="far fa-paper-plane ml-2"></i></button>
                </div>
              </form>
              <!-- Default form subscription -->
            </template>
            
        
    

Form contact

Wite to us

        
            
              <template>
                <!-- Material form contact -->
                <form>
                  <p class="h4 text-center mb-4">Write to us</p>
                  <div class="grey-text">
                    <mdb-input label="Your name" icon="user" group type="text" validate error="wrong" success="right" />
                    <mdb-input label="Your email" icon="envelope" group type="email" validate error="wrong"
                      success="right" />
                    <mdb-input label="Subject" icon="tag" group type="text" validate error="wrong" success="right" />
                    <mdb-textarea :rows="2" label="Your message" icon="pencil" />
                  </div>
                  <div class="text-center">
                    <mdb-btn outline="secondary">Send
                      <mdb-icon far icon="paper-plane" class="ml-1" />
                    </mdb-btn>
                  </div>
                </form>
                <!-- Material form contact -->
              </template>
              
        
    
        
            
              <script>
                import {
                  mdbInput,
                  mdbBtn,
                  mdbtextarea
                } from 'mdbvue';
                export default {
                  name: 'Basic',
                  components: {
                    mdbInput,
                    mdbBtn,
                    mdbTextarea
                  }
                }
              </script>
              
        
    

Write to us




        
            
              <template>
                <!-- Default form contact -->
                <form>
                  <p class="h4 text-center mb-4">Write to us</p>
                  <!-- Default input name -->
                  <label for="defaultFormContactNameEx" class="grey-text">Your name</label>
                  <input type="text" id="defaultFormContactNameEx" class="form-control">
                  <br>
                  <!-- Default input email -->
                  <label for="defaultFormContactEmailEx" class="grey-text">Your email</label>
                  <input type="email" id="defaultFormContactEmailEx" class="form-control">
                  <br>
                  <!-- Default input subject -->
                  <label for="defaultFormContactSubjectEx" class="grey-text">Subject</label>
                  <input type="text" id="defaultFormContactSubjectEx" class="form-control">
                  <br>
                  <!-- Default textarea message -->
                  <label for="defaultFormContactMessageEx" class="grey-text">Your message</label>
                  <textarea type="text" id="defaultFormContactMessageEx" class="form-control" rows="3"></textarea>
                  <div class="text-center mt-4">
                    <button class="btn btn-outline-warning" type="submit">Send<i
                        class="far fa-paper-plane ml-2"></i></button>
                  </div>
                </form>
                <!-- Default form contact -->
              </template>
              
        
    

A form within a card

To see more cards options, go here.

Sign up

        
            
              <template>
                <!-- Card -->
                <mdb-card>
                  <mdb-card-body>
                    <form>
                      <p class="h4 text-center py-4">Sign up</p>
                      <div class="grey-text">
                        <mdb-input label="Your name" icon="user" group type="text" validate error="wrong"
                          success="right" />
                        <mdb-input label="Your email" icon="envelope" group type="email" validate error="wrong"
                          success="right" />
                        <mdb-input label="Confirm your email" icon="exclamation-triangle" group type="text" validate
                          error="wrong" success="right" />
                        <mdb-input label="Your password" icon="lock" group type="password" validate />
                      </div>
                      <div class="text-center py-4 mt-3">
                        <mdb-btn color="cyan" type="submit">Register</mdb-btn>
                      </div>
                    </form>
                  </mdb-card-body>
                </mdb-card>
                <!-- Card -->
              </template>
              
        
    
        
            
              <script>
                import {
                  mdbInput,
                  mdbBtn,
                  mdbCard,
                  mdbCardBody
                } from 'mdbvue';
                export default {
                  name: 'Basic',
                  components: {
                    mdbInput,
                    mdbBtn,
                    mdbCard,
                    mdbCardBody
                  }
                }
              </script>
              
        
    

Subscribe


        
            
              <template>
                <!-- Card -->
                <div class="card mx-xl-5">
                  <!-- Card body -->
                  <div class="card-body">
                    <!-- Default form subscription -->
                    <form>
                      <p class="h4 text-center py-4">Subscribe</p>
                      <!-- Default input name -->
                      <label for="defaultFormCardNameEx" class="grey-text font-weight-light">Your name</label>
                      <input type="text" id="defaultFormCardNameEx" class="form-control">
                      <br>
                      <!-- Default input email -->
                      <label for="defaultFormCardEmailEx" class="grey-text font-weight-light">Your email</label>
                      <input type="email" id="defaultFormCardEmailEx" class="form-control">
                      <div class="text-center py-4 mt-3">
                        <button class="btn btn-outline-purple" type="submit">Send<i
                            class="far fa-paper-plane ml-2"></i></button>
                      </div>
                    </form>
                    <!-- Default form subscription -->
                  </div>
                  <!-- Card body -->
                </div>
                <!-- Card -->
              </template>
              
        
    

A form within a modal

To see more modals options, go here.

        
            
              <template>
                <mdb-container>
                  <mdb-row>
                    <mdb-col size="12" class="text-center mb-5">
                      <mdb-btn @click.native="showModal = true" color="info">Launch modal contact form</mdb-btn>
                      <mdb-modal :show="showModal" @close="showModal = false" cascade class="text-left">
                        <mdb-modal-header class="primary-color white-text">
                          <h4 class="title">
                            <fa class="fas fa-pencil-alt" /> Contact form</h4>
                        </mdb-modal-header>
                        <mdb-modal-body class="grey-text">
                          <mdb-input size="sm" label="Your name" icon="user" group type="text" validate error="wrong"
                            success="right" />
                          <mdb-input size="sm" label="Your email" icon="envelope" group type="email" validate
                            error="wrong" success="right" />
                          <mdb-input size="sm" label="Subject" icon="tag" group type="text" validate error="wrong"
                            success="right" />
                          <mdb-textarea size="sm" :rows="2" label="Your message" icon="pencil" />
                        </mdb-modal-body>
                        <mdb-modal-footer>
                          <mdb-btn color="secondary" @click.native="showModal = false">Close</mdb-btn>
                          <mdb-btn color="primary">Save changes</mdb-btn>
                        </mdb-modal-footer>
                      </mdb-modal>
                    </mdb-col>
                  </mdb-row>
                </mdb-container>
              </template>
              
        
    
        
            
              <script>
                import {
                  mdbContainer,
                  mdbRow,
                  mdbCol,
                  mdbInput,
                  mdbTextarea,
                  mdbBtn,
                  mdbIcon,
                  mdbModal,
                  mdbModalHeader,
                  mdbModalBody,
                  mdbModalFooter
                } from 'mdbvue';
                export default {
                  name: 'FormsPage',
                  components: {
                    mdbContainer,
                    mdbRow,
                    mdbCol,
                    mdbInput,
                    mdbTextarea,
                    mdbBtn,
                    mdbIcon,
                    mdbModal,
                    mdbModalHeader,
                    mdbModalBody,
                    mdbModalFooter
                  },
                  data() {
                    return {
                      showModal: false
                    };
                  }
                }
              </script>
              
        
    

Forms with icons

        
            
        <template>
          <mdb-row>
            <mdb-col md="6" class="pb-2">
              <mdb-card class="purple-text grey lighten-4">
                <mdb-card-header class="pt-4 white">
                  <mdb-card-title><strong>Reservation</strong></mdb-card-title>
                </mdb-card-header>
                <mdb-card-body>
                  <mdb-row>
                    <mdb-col>
                      <mdb-input label="name" far icon="user" placeholder="John Smith" />
                      <mdb-input :min="2" :max="10" icon="edit" far type="number" label="guests" v-model="guests" />
                      <mdb-textarea :rows="4" label="special requests" far icon="comment"
                        placeholder="Vegetarian menu" />
                    </mdb-col>
                  </mdb-row>
                </mdb-card-body>
                <mdb-card-footer class="d-flex white justify-content-end">
                  <mdb-btn outline="purple" icon="paper-plane">Reserve table</mdb-btn>
                </mdb-card-footer>
              </mdb-card>
            </mdb-col>
            <mdb-col md="6">
              <mdb-card class="purple-text">
                <mdb-card-header class="pt-4 grey lighten-4">
                  <mdb-card-title><strong>Reservation</strong></mdb-card-title>
                </mdb-card-header>
                <mdb-card-body>
                  <mdb-row class="mb-4 pb-3">
                    <mdb-col>
                      <mdb-input outline label="name" icon="user" />
                      <mdb-input outline :min="2" :max="10" icon="edit" type="number" label="guests" />
                      <mdb-input type="textarea" outline :rows="4" label="special requests" icon="comment" />
                    </mdb-col>
                  </mdb-row>
                </mdb-card-body>
                <mdb-card-footer class="d-flex grey lighten-4 justify-content-end">
                  <mdb-btn outline="purple" icon="paper-plane">Reserve table</mdb-btn>
                </mdb-card-footer>
              </mdb-card>
            </mdb-col>
          </mdb-row>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbRow,
            mdbCol,
            mdbInput,
            mdbTextarea,
            mdbBtn,
            mdbCard,
            mdbCardHeader,
            mdbCardTitle,
            mdbCardFooter,
            mdbCardBody
          } from 'mdbvue';
          export default {
            name: 'FormsPage',
            components: {
              mdbRow,
              mdbCol,
              mdbInput,
              mdbTextarea,
              mdbBtn,
              mdbCard,
              mdbCardBody,
              mdbCardHeader,
              mdbCardFooter,
              mdbCardTitle
            },
            data() {
              return {
                guests: 4
              };
            }
          };
        </script>
        
        
    

Reservation form with icons MDB Pro component

        
            
          <template>
            <mdb-card>
              <mdb-card-header class="pt-4 amy-crisp-gradient">
                <mdb-card-title><strong>Reservation</strong></mdb-card-title>
              </mdb-card-header>
              <mdb-card-body>
                <mdb-row>
                  <mdb-col>
                    <mdb-input label="name" icon="user" />
                  </mdb-col>
                  <mdb-col>
                    <mdb-select multiple v-model="selectOptions" label="meal" icon="check-square" />
                  </mdb-col>
                </mdb-row>
                <mdb-row>
                  <mdb-col>
                    <mdb-date-picker label="date" icon="calendar" />
                  </mdb-col>
                  <mdb-col>
                    <mdb-time-picker label="time" icon="clock" />
                  </mdb-col>
                </mdb-row>
                <mdb-row>
                  <mdb-col>
                    <mdb-input :min="2" :max="10" icon="user-friends" type="number" label="guests" />
                  </mdb-col>
                  <mdb-col>
                    <mdb-autocomplete icon="heart" clearClass="fa-lg" :data="food" label="Food preferences" />
                  </mdb-col>
                </mdb-row>
                <mdb-row>
                  <mdb-col>
                    <mdb-input type="textarea" label="special requests" icon="pen" :rows="2" />
                  </mdb-col>
                </mdb-row>
              </mdb-card-body>
              <mdb-card-footer class="white d-flex justify-content-end">
                <mdb-btn gradient="amy-crisp" class="black-text" icon="paper-plane" rounded>Reserve table</mdb-btn>
              </mdb-card-footer>
            </mdb-card>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbRow,
              mdbCol,
              mdbInput,
              mdbBtn,
              mdbCard,
              mdbCardBody,
              mdbCardHeader,
              mdbCardTitle,
              mdbSelect,
              mdbDatePicker,
              mdbTimePicker,
              mdbCardFooter,
              mdbAutocomplete
            } from "mdbvue";
            export default {
              name: "FormsPage",
              components: {
                mdbRow,
                mdbCol,
                mdbInput,
                mdbBtn,
                mdbCard,
                mdbCardBody,
                mdbSelect,
                mdbDatePicker,
                mdbTimePicker,
                mdbCardHeader,
                mdbCardTitle,
                mdbCardFooter,
                mdbAutocomplete
              },
              data() {
                return {
                  numeric: 'hello',
                  selectOptions: [{
                      text: "Breakfast",
                      value: "Option 1"
                    },
                    {
                      text: "Dinner",
                      value: "Option 2"
                    },
                    {
                      text: "Brunch",
                      value: "Option 3"
                    },
                    {
                      text: "Supper",
                      value: "Option 4"
                    }
                  ],
                  food: [
                    "Glutenfree",
                    "Vegetarian",
                    "Vegan",
                    "Sugarfree"
                  ]
                };
              }
            };
          </script>
          
        
    

Form elements with animated background MDB Pro component

        
            
          <template>
            <mdb-container class="text-center grey-text">
              <h4 class="h4 pt-2">
                Find your <span class="text-primary">connection</span>
              </h4>
              <hr class="p-2 mx-5" />
              <mdb-input bg label="Name" />
              <mdb-autocomplete bg label="Destination" :data="destination" />
              <mdb-date-picker bg label="Date" />
              <mdb-time-picker bg label="Time of arrival" />
              <mdb-btn class="px-5" block color="primary">Search</mdb-btn>
              <hr class="p-2 mt-5 mx-5" />
              <div>
                <mdb-icon class="mx-3" icon="subway" />
                <mdb-icon class="mx-3" icon="bus" />
                <mdb-icon class="mx-3" icon="tram" />
                <mdb-icon class="mx-3" icon="car" />
                <mdb-icon class="mx-3" icon="motorcycle" />
                <mdb-icon class="mx-3" icon="shuttle-van" />
                <mdb-icon class="mx-3" icon="plane" />
              </div>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbInput,
              mdbBtn,
              mdbIcon,
              mdbContainer,
              mdbDatePicker,
              mdbTimePicker,
              mdbCardFooter,
              mdbAutocomplete
            } from "mdbvue";
            export default {
              name: "FormsPage",
              components: {
                mdbInput,
                mdbBtn,
                mdbIcon,
                mdbContainer,
                mdbDatePicker,
                mdbTimePicker,
                mdbCardFooter,
                mdbAutocomplete
              },
              data() {
                return {
                  destination: [
                    "Amsterdam",
                    "Berlin",
                    "Cardiff",
                    "Dublin",
                    "Frankfurt",
                    "Glasgow",
                    "Helsinki",
                    "Istanbul",
                    "Kiev",
                    "Lisbon",
                    "Madrid",
                    "Nice",
                    "Oslo",
                    "Paris",
                    "Riga",
                    "Saint Petersburg",
                    "Turin",
                    "Vienna",
                    "Warsaw",
                    "Zagreb",
                    "Zurich"
                  ]
                }
              }
            };
          </script>
          
        
    

Form elegant MDB Pro component

Sign in

Forgot Password?

or Sign in with:

        
            
          <template>
            <section class="form-elegant">
              <mdb-row>
                <mdb-col md="5">
                  <mdb-card>
                    <mdb-card-body class="mx-4">
                      <div class="text-center">
                        <h3 class="dark-grey-text mb-5"><strong>Sign in</strong></h3>
                      </div>
                      <mdb-input label="Your email" type="email" />
                      <mdb-input label="Your password" type="password" containerClass="mb-0" />
                      <p class="font-small blue-text d-flex justify-content-end pb-3">Forgot
                        <a href="#" class="blue-text ml-1"> Password?</a></p>
                      <div class="text-center mb-3">
                        <mdb-btn type="button" gradient="blue" rounded class="btn-block z-depth-1a">Sign in</mdb-btn>
                      </div>
                      <p class="font-small dark-grey-text text-right d-flex justify-content-center mb-3 pt-2"> or Sign in
                        with:</p>
                      <div class="row my-3 d-flex justify-content-center">
                        <mdb-btn type="button" color="white" rounded class="mr-md-3 z-depth-1a">
                          <mdb-icon fab icon="facebook" class="blue-text text-center" />
                        </mdb-btn>
                        <mdb-btn type="button" color="white" rounded class="mr-md-3 z-depth-1a">
                          <mdb-icon fab icon="twitter" class="blue-text" />
                        </mdb-btn>
                        <mdb-btn type="button" color="white" rounded class="z-depth-1a">
                          <mdb-icon fab icon="google-plus" class="blue-text" />
                        </mdb-btn>
                      </div>
                    </mdb-card-body>
                    <mdb-modal-footer class="mx-5 pt-3 mb-1">
                      <p class="font-small grey-text d-flex justify-content-end">Not a member?
                        <a href="#" class="blue-text ml-1"> Sign Up</a></p>
                    </mdb-modal-footer>
                  </mdb-card>
                </mdb-col>
              </mdb-row>
            </section>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbRow,
              mdbCol,
              mdbCard,
              mdbCardBody,
              mdbInput,
              mdbBtn,
              mdbIcon,
              mdbModal,
              mdbModalBody,
              mdbModalFooter
            } from 'mdbvue';
            export default {
              name: 'FormsPage',
              components: {
                mdbRow,
                mdbCol,
                mdbCard,
                mdbCardBody,
                mdbInput,
                mdbBtn,
                mdbIcon,
                mdbModal,
                mdbModalBody,
                mdbModalFooter
              },
              data() {
                return {
                  showModal: false
                };
              }
            }
          </script>
          
        
    
        
            
            <style>
              .form-elegant .font-small {
                font-size: 0.8rem;
              }
              .form-elegant .z-depth-1a {
                -webkit-box-shadow: 0 2px 5px 0 rgba(55, 161, 255, 0.26), 0 4px 12px 0 rgba(121, 155, 254, 0.25);
                box-shadow: 0 2px 5px 0 rgba(55, 161, 255, 0.26), 0 4px 12px 0 rgba(121, 155, 254, 0.25);
              }
              .form-elegant .z-depth-1-half,
              .form-elegant .btn:hover {
                -webkit-box-shadow: 0 5px 11px 0 rgba(85, 182, 255, 0.28), 0 4px 15px 0 rgba(36, 133, 255, 0.15);
                box-shadow: 0 5px 11px 0 rgba(85, 182, 255, 0.28), 0 4px 15px 0 rgba(36, 133, 255, 0.15);
              }
            </style>
            
        
    

Form gradient MDB Pro component

Log in

Forgot Password?

Don't have an account? Sign up

        
            
          <template>
            <section class="form-gradient">
              <mdb-row>
                <mdb-col md="5">
                  <mdb-card>
                    <div class="header pt-3 peach-gradient">
                      <mdb-row class="d-flex justify-content-center">
                        <h3 class="white-text mb-3 pt-3 font-weight-bold">Log in</h3>
                      </mdb-row>
                      <mdb-row class="mt-2 mb-3 d-flex justify-content-center">
                        <a class="fa-lg p-2 m-2 fb-ic"><mdb-icon class="fab fa-facebook white-text fa-lg"/></a>
                        <a class="fa-lg p-2 m-2 tw-ic"><mdb-icon class="fab fa-twitter white-text fa-lg"/></a>
                        <a class="fa-lg p-2 m-2 gplus-ic"><mdb-icon class="fab fa-google-plus white-text fa-lg"/></a>
                      </mdb-row>
                    </div>
                    <mdb-card-body class="mx-4 mt-4">
                      <mdb-input label="Your email" type="text" />
                      <mdb-input label="Your password" type="password" containerClass="mb-0" />
                      <p class="font-small grey-text d-flex justify-content-end">Forgot
                        <a href="#" class="dark-grey-text ml-1 font-weight-bold"> Password?</a></p>
                      <mdb-row class="d-flex align-items-center mb-4 mt-5">
                        <mdb-col md="5" class="d-flex align-items-start">
                          <div class="text-center">
                            <mdb-btn color="grey" rounded type="button" class="z-depth-1a">Log in</mdb-btn>
                          </div>
                        </mdb-col>
                        <mdb-col md="7" class="d-flex justify-content-end">
                          <p class="font-small grey-text mt-3">Don't have an account?
                            <a href="#" class="dark-grey-text ml-1 font-weight-bold"> Sign up</a></p>
                        </mdb-col>
                      </mdb-row>
                    </mdb-card-body>
                  </mdb-card>
                </mdb-col>
              </mdb-row>
            </section>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbRow,
              mdbCol,
              mdbCard,
              mdbCardBody,
              mdbInput,
              mdbBtn,
              mdbIcon
            } from 'mdbvue';
            export default {
              name: 'FormsPage',
              components: {
                mdbRow,
                mdbCol,
                mdbCard,
                mdbCardBody,
                mdbInput,
                mdbBtn,
                mdbIcon
              }
            }
          </script>
          
        
    
        
            
            <style>
              .form-gradient .font-small {
                font-size: 0.8rem;
              }
              .form-gradient .header {
                border-top-left-radius: .3rem;
                border-top-right-radius: .3rem;
              }
              .form-gradient input[type=text]:focus:not([readonly]) {
                border-bottom: 1px solid #fd9267;
                -webkit-box-shadow: 0 1px 0 0 #fd9267;
                box-shadow: 0 1px 0 0 #fd9267;
              }
              .form-gradient input[type=text]:focus:not([readonly])+label {
                color: #4f4f4f;
              }
              .form-gradient input[type=password]:focus:not([readonly]) {
                border-bottom: 1px solid #fd9267;
                -webkit-box-shadow: 0 1px 0 0 #fd9267;
                box-shadow: 0 1px 0 0 #fd9267;
              }
              .form-gradient input[type=password]:focus:not([readonly])+label {
                color: #4f4f4f;
              }
            </style>
            
        
    

Form light MDB Pro component

Sign up

Have an account? Log in

        
            
          <template>
            <section class="form-light">
              <mdb-row>
                <mdb-col md="5">
                  <mdb-card>
                    <mdb-card-body class="mx-4">
                      <div class="text-center">
                        <h3 class="pink-text mb-5"><strong>Sign up</strong></h3>
                      </div>
                      <mdb-input label="Your email" type="text" />
                      <mdb-input label="Your password" type="password" />
                      <mdb-input class="my-5" type="checkbox" id="defaultCheck16"
                        label="Accept the Terms and Conditions" />
                      <mdb-row class="d-flex align-items-center mb-4">
                        <mdb-col md="6" class="text-center">
                          <button type="button" class="btn btn-pink btn-block btn-rounded z-depth-1">Sign up</button>
                        </mdb-col>
                        <mdb-col md="6">
                          <p class="font-small grey-text d-flex justify-content-end">Have an account?
                            <a href="#" class="blue-text ml-1"> Log in</a></p>
                        </mdb-col>
                      </mdb-row>
                    </mdb-card-body>
                    <div class="footer pt-3 mdb-color lighten-3">
                      <mdb-row class="d-flex justify-content-center">
                        <p class="font-small white-text mb-2 pt-3">or Sign up with:</p>
                      </mdb-row>
                      <mdb-row class="mt-2 mb-3 d-flex justify-content-center">
                        <a class="fa-lg p-2 m-2 fb-ic"><mdb-icon class="fab fa-facebook white-text fa-lg"> </mdb-icon></a>
                        <a class="fa-lg p-2 m-2 tw-ic"><mdb-icon class="fab fa-twitter white-text fa-lg"> </mdb-icon></a>
                        <a class="fa-lg p-2 m-2 gplus-ic"><mdb-icon class="fab fa-google-plus white-text fa-lg"> </mdb-icon></a>
                      </mdb-row>
                    </div>
                  </mdb-card>
                </mdb-col>
              </mdb-row>
            </section>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbRow,
              mdbCol,
              mdbCard,
              mdbCardBody,
              mdbInput,
              mdbBtn,
              mdbIcon
            } from 'mdbvue';
            export default {
              name: 'FormsPage',
              components: {
                mdbRow,
                mdbCol,
                mdbCard,
                mdbCardBody,
                mdbInput,
                mdbBtn,
                mdbIcon
              }
            }
          </script>
          
        
    
        
            
            <style>
              .form-light .font-small {
                font-size: 0.8rem;
              }
              .form-light [type="radio"]+label,
              .form-light [type="checkbox"]+label {
                -size: 0.8rem;
              }
              .form-light [type="checkbox"]+label:before {
                top: 2px;
                width: 15px;
                height: 15px;
              }
              .form-light input[type="checkbox"]+label:before {
                content: '';
                position: absolute;
                top: 0;
                left: 0;
                width: 17px;
                height: 17px;
                z-index: 0;
                border-radius: 1px;
                margin-top: 2px;
                -webkit-transition: 0.2s;
                transition: 0.2s;
              }
              .form-light input[type="checkbox"]:checked+label:before {
                top: -4px;
                left: -3px;
                width: 12px;
                height: 22px;
                border-style: solid;
                border-width: 2px;
                border-color: transparent #EB3573 #EB3573 transparent;
                -webkit-transform: rotate(40deg);
                -ms-transform: rotate(40deg);
                transform: rotate(40deg);
                -webkit-backface-visibility: hidden;
                -webkit-transform-origin: 100% 100%;
                -ms-transform-origin: 100% 100%;
                transform-origin: 100% 100%;
              }
              .form-light .footer {
                border-bottom-left-radius: .3rem;
                border-bottom-right-radius: .3rem;
              }
            </style>
            
        
    

Form dark MDB Pro component

SIGN UP

Have an account? Log in

        
            
          <template>
            <section class="form-dark">
              <mdb-row>
                <mdb-col md="5">
                  <mdb-card class="card-image"
                    :style="{'backgroundImage': 'url(https://mdbootstrap.com/img/Photos/Others/pricing-table7.webp)', 'width': '28rem'}">
                    <div class="text-white rgba-stylish-strong py-5 px-5 z-depth-4">
                      <div class="text-center">
                        <h3 class="white-text mb-5 mt-4 font-weight-bold"><strong>SIGN</strong>
                          <a class="green-text font-weight-bold"><strong> UP</strong></a></h3>
                      </div>
                      <mdb-input label="Your email" type="text" />
                      <mdb-input label="Your password" type="password" />
                      <mdb-input class="my-5" type="checkbox" id="defaultCheck17"
                        label="Accept the Terms and Conditions" />
                      <mdb-row class="d-flex align-items-center mb-4">
                        <div class="text-center mb-3 col-md-12">
                          <mdb-btn color="success" rounded type="button" class="btn-block z-depth-1">Sign in</mdb-btn>
                        </div>
                      </mdb-row>
                      <mdb-col md="12">
                        <p class="font-small white-text d-flex justify-content-end">Have an account?
                          <a href="#" class="green-text ml-1 font-weight-bold"> Log in</a></p>
                      </mdb-col>
                    </div>
                  </mdb-card>
                </mdb-col>
              </mdb-row>
            </section>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbRow,
              mdbCol,
              mdbCard,
              mdbCardBody,
              mdbInput,
              mdbBtn,
              mdbIcon
            } from 'mdbvue';
            export default {
              name: 'FormsPage',
              components: {
                mdbRow,
                mdbCol,
                mdbCard,
                mdbCardBody,
                mdbInput,
                mdbBtn,
                mdbIcon
              }
            }
          </script>
          
        
    
        
            
          <style>
            .form-dark .font-small {
              font-size: 0.8rem;
            }
            .form-dark [type="radio"]+label,
            .form-dark [type="checkbox"]+label {
              font-size: 0.8rem;
            }
            .form-dark [type="checkbox"]+label:before {
              top: 2px;
              width: 15px;
              height: 15px;
            }
            .form-dark .md-form label {
              color: #fff;
            }
            .form-dark input[type=text]:focus:not([readonly]) {
              border-bottom: 1px solid #00C851;
              -webkit-box-shadow: 0 1px 0 0 #00C851;
              box-shadow: 0 1px 0 0 #00C851;
            }
            .form-dark input[type=text]:focus:not([readonly])+label {
              color: #fff;
            }
            .form-dark input[type=password]:focus:not([readonly]) {
              border-bottom: 1px solid #00C851;
              -webkit-box-shadow: 0 1px 0 0 #00C851;
              box-shadow: 0 1px 0 0 #00C851;
            }
            .form-dark input[type=password]:focus:not([readonly])+label {
              color: #fff;
            }
            .form-dark input[type="checkbox"]+label:before {
              content: '';
              position: absolute;
              top: 0;
              left: 0;
              width: 17px;
              height: 17px;
              z-index: 0;
              border: 1.5px solid #fff;
              border-radius: 1px;
              margin-top: 2px;
              -webkit-transition: 0.2s;
              transition: 0.2s;
            }
            .form-dark input[type="checkbox"]:checked+label:before {
              top: -4px;
              left: -3px;
              width: 12px;
              height: 22px;
              border-style: solid;
              border-width: 2px;
              border-color: transparent #00c851 #00c851 transparent;
              -webkit-transform: rotate(40deg);
              -ms-transform: rotate(40deg);
              transform: rotate(40deg);
              -webkit-backface-visibility: hidden;
              -webkit-transform-origin: 100% 100%;
              -ms-transform-origin: 100% 100%;
              transform-origin: 100% 100%;
            }
          </style>
          
        
    

Form simple MDB Pro component

Log in

Forgot Password?

Don't have an account? Sign up

        
            
          <template>
            <section class="form-simple">
              <mdb-row>
                <mdb-col md="5">
                  <mdb-card>
                    <div class="header pt-3 grey lighten-2">
                      <mdb-row class="d-flex justify-content-start">
                        <h3 class="deep-grey-text mt-3 mb-4 pb-1 mx-5">Log in</h3>
                      </mdb-row>
                    </div>
                    <mdb-card-body class="mx-4 mt-4">
                      <mdb-input label="Your email" type="text" />
                      <mdb-input label="Your password" type="password" containerClass="mb-0" />
                      <p class="font-small grey-text d-flex justify-content-end">Forgot
                        <a href="#" class="dark-grey-text font-weight-bold ml-1"> Password?</a></p>
                      <div class="text-center mb-4 mt-5">
                        <mdb-btn color="danger" type="button" class="btn-block z-depth-2">Log in</mdb-btn>
                      </div>
                      <p class="font-small grey-text d-flex justify-content-center">Don't have an account?
                        <a href="#" class="dark-grey-text font-weight-bold ml-1"> Sign up</a></p>
                    </mdb-card-body>
                  </mdb-card>
                </mdb-col>
              </mdb-row>
            </section>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbRow,
              mdbCol,
              mdbCard,
              mdbCardBody,
              mdbInput,
              mdbBtn,
              mdbIcon
            } from 'mdbvue';
            export default {
              name: 'FormsPage',
              components: {
                mdbRow,
                mdbCol,
                mdbCard,
                mdbCardBody,
                mdbInput,
                mdbBtn,
                mdbIcon
              }
            }
          </script>
          
        
    
        
            
          <style>
            .form-simple .font-small {
              font-size: 0.8rem;
            }
            .form-simple .header {
              border-top-left-radius: .3rem;
              border-top-right-radius: .3rem;
            }
            .form-simple input[type=text]:focus:not([readonly]) {
              border-bottom: 1px solid #ff3547;
              -webkit-box-shadow: 0 1px 0 0 #ff3547;
              box-shadow: 0 1px 0 0 #ff3547;
            }
            .form-simple input[type=text]:focus:not([readonly])+label {
              color: #4f4f4f;
            }
            .form-simple input[type=password]:focus:not([readonly]) {
              border-bottom: 1px solid #ff3547;
              -webkit-box-shadow: 0 1px 0 0 #ff3547;
              box-shadow: 0 1px 0 0 #ff3547;
            }
            .form-simple input[type=password]:focus:not([readonly])+label {
              color: #4f4f4f;
            }
          </style>

React Bootstrap Forms Examples

React Forms - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap forms are input-based components which are designed to collect users data. Used as login, subscribe or contact form, all can be easily customized.

Bootstrap forms in Material Design are simple and eye-pleasant. While creating MDB, we were aware of their importance in almost every project, so we have put a lot of effort to get them right.

Such constructions like predefined Form logins, Form registers, Form subscriptions or Form contacts and other layout forms varying in their design are all at your disposal. Each of them offers a different type of functionality.

You can use material design version or default bootstrap style.


Login Form

Sign in

        
            
        import React from "react";
        import { MDBContainer, MDBRow, MDBCol, MDBInput, MDBBtn } from "mdbreact";
        
        const FormPage = () => {
          return (
            <MDBContainer>
              <MDBRow>
                <MDBCol md="6">
                  <form>
                    <p className="h5 text-center mb-4">Sign in</p>
                    <div className="grey-text">
                      <MDBInput
                        label="Type your email"
                        icon="envelope"
                        group
                        type="email"
                        validate
                        error="wrong"
                        success="right"
                      />
                      <MDBInput
                        label="Type your password"
                        icon="lock"
                        group
                        type="password"
                        validate
                      />
                    </div>
                    <div className="text-center">
                      <MDBBtn>Login</MDBBtn>
                    </div>
                  </form>
                </MDBCol>
              </MDBRow>
            </MDBContainer>
          );
        };
        
        export default FormPage;
        
         
        
    

Sign in


        
            
        import React from "react";
        import { MDBContainer, MDBRow, MDBCol, MDBBtn } from "mdbreact";
        
        const FormPage = () => {
          return (
            <MDBContainer>
              <MDBRow>
                <MDBCol md="6">
                  <form>
                    <p className="h4 text-center mb-4">Sign in</p>
                    <label htmlFor="defaultFormLoginEmailEx" className="grey-text">
                      Your email
                    </label>
                    <input
                      type="email"
                      id="defaultFormLoginEmailEx"
                      className="form-control"
                    />
                    <br />
                    <label htmlFor="defaultFormLoginPasswordEx" className="grey-text">
                      Your password
                    </label>
                    <input
                      type="password"
                      id="defaultFormLoginPasswordEx"
                      className="form-control"
                    />
                    <div className="text-center mt-4">
                      <MDBBtn color="indigo" type="submit">
                        Login
                      </MDBBtn>
                    </div>
                  </form>
                </MDBCol>
              </MDBRow>
            </MDBContainer>
          );
        };
        
        export default FormPage;
        
         
        
    

Form register

Sign up

        
            
        import React from "react";
        import { MDBContainer, MDBRow, MDBCol, MDBBtn, MDBInput } from "mdbreact";
        
        const FormPage = () => {
          return (
            <MDBContainer>
              <MDBRow>
                <MDBCol md="6">
                  <form>
                    <p className="h5 text-center mb-4">Sign up</p>
                    <div className="grey-text">
                      <MDBInput
                        label="Your name"
                        icon="user"
                        group
                        type="text"
                        validate
                        error="wrong"
                        success="right"
                      />
                      <MDBInput
                        label="Your email"
                        icon="envelope"
                        group
                        type="email"
                        validate
                        error="wrong"
                        success="right"
                      />
                      <MDBInput
                        label="Confirm your email"
                        icon="exclamation-triangle"
                        group
                        type="text"
                        validate
                        error="wrong"
                        success="right"
                      />
                      <MDBInput
                        label="Your password"
                        icon="lock"
                        group
                        type="password"
                        validate
                      />
                    </div>
                    <div className="text-center">
                      <MDBBtn color="primary">Register</MDBBtn>
                    </div>
                  </form>
                </MDBCol>
              </MDBRow>
            </MDBContainer>
          );
        };
        
        export default FormPage;
        
         
        
    

Sign up




        
            
        import React from "react";
        import { MDBContainer, MDBRow, MDBCol, MDBBtn } from "mdbreact";
        
        const FormPage = () => {
          return (
            <MDBContainer>
              <MDBRow>
                <MDBCol md="6">
                  <form>
                    <p className="h4 text-center mb-4">Sign up</p>
                    <label htmlFor="defaultFormRegisterNameEx" className="grey-text">
                      Your name
                    </label>
                    <input
                      type="text"
                      id="defaultFormRegisterNameEx"
                      className="form-control"
                    />
                    <br />
                    <label htmlFor="defaultFormRegisterEmailEx" className="grey-text">
                      Your email
                    </label>
                    <input
                      type="email"
                      id="defaultFormRegisterEmailEx"
                      className="form-control"
                    />
                    <br />
                    <label htmlFor="defaultFormRegisterConfirmEx" className="grey-text">
                      Confirm your email
                    </label>
                    <input
                      type="email"
                      id="defaultFormRegisterConfirmEx"
                      className="form-control"
                    />
                    <br />
                    <label
                      htmlFor="defaultFormRegisterPasswordEx"
                      className="grey-text"
                    >
                      Your password
                    </label>
                    <input
                      type="password"
                      id="defaultFormRegisterPasswordEx"
                      className="form-control"
                    />
                    <div className="text-center mt-4">
                      <MDBBtn color="unique" type="submit">
                        Register
                      </MDBBtn>
                    </div>
                  </form>
                </MDBCol>
              </MDBRow>
            </MDBContainer>
          );
        };
        
        export default FormPage;
        
         
        
    

Form subscription

Subscribe

        
            
        import React from "react";
        import {
          MDBContainer,
          MDBRow,
          MDBCol,
          MDBBtn,
          MDBIcon,
          MDBInput,
        } from "mdbreact";
        
        const FormPage = () => {
          return (
            <MDBContainer>
              <MDBRow>
                <MDBCol md="6">
                  <form>
                    <p className="h5 text-center mb-4">Subscribe</p>
                    <div className="grey-text">
                      <MDBInput
                        label="Your name"
                        icon="user"
                        group
                        type="text"
                        validate
                        error="wrong"
                        success="right"
                      />
                      <MDBInput
                        label="Your email"
                        icon="envelope"
                        group
                        type="email"
                        validate
                        error="wrong"
                        success="right"
                      />
                    </div>
                    <div className="text-center">
                      <MDBBtn outline color="info">
                        Send
                        <MDBIcon far icon="paper-plane" className="ml-1" />
                      </MDBBtn>
                    </div>
                  </form>
                </MDBCol>
              </MDBRow>
            </MDBContainer>
          );
        };
        
        export default FormPage;     
         
        
    

Subscribe


        
            
        import React from "react";
        import { MDBContainer, MDBRow, MDBCol, MDBBtn, MDBIcon } from "mdbreact";
        
        const FormPage = () => {
          return (
            <MDBContainer>
              <MDBRow>
                <MDBCol md="6">
                  <form>
                    <p className="h4 text-center py-4">Subscribe</p>
                    <label
                      htmlFor="defaultFormCardNameEx"
                      className="grey-text font-weight-light"
                    >
                      Your name
                    </label>
                    <input
                      type="text"
                      id="defaultFormCardNameEx"
                      className="form-control"
                    />
                    <br />
                    <label
                      htmlFor="defaultFormCardEmailEx"
                      className="grey-text font-weight-light"
                    >
                      Your email
                    </label>
                    <input
                      type="email"
                      id="defaultFormCardEmailEx"
                      className="form-control"
                    />
                    <div className="text-center py-4 mt-3">
                      <MDBBtn className="btn btn-outline-purple" type="submit">
                        Send
                        <MDBIcon far icon="paper-plane" className="ml-2" />
                      </MDBBtn>
                    </div>
                  </form>
                </MDBCol>
              </MDBRow>
            </MDBContainer>
          );
        };
        
        export default FormPage;
         
        
    

Form contact

Wite to us

        
            
        import React from "react";
        import {
          MDBContainer,
          MDBRow,
          MDBCol,
          MDBBtn,
          MDBIcon,
          MDBInput,
        } from "mdbreact";
        
        const FormPage = () => {
          return (
            <MDBContainer>
              <MDBRow>
                <MDBCol md="6">
                  <form>
                    <p className="h5 text-center mb-4">Write to us</p>
                    <div className="grey-text">
                      <MDBInput
                        label="Your name"
                        icon="user"
                        group
                        type="text"
                        validate
                        error="wrong"
                        success="right"
                      />
                      <MDBInput
                        label="Your email"
                        icon="envelope"
                        group
                        type="email"
                        validate
                        error="wrong"
                        success="right"
                      />
                      <MDBInput
                        label="Subject"
                        icon="tag"
                        group
                        type="text"
                        validate
                        error="wrong"
                        success="right"
                      />
                      <MDBInput
                        type="textarea"
                        rows="2"
                        label="Your message"
                        icon="pencil-alt"
                      />
                    </div>
                    <div className="text-center">
                      <MDBBtn outline color="secondary">
                        Send
                        <MDBIcon far icon="paper-plane" className="ml-1" />
                      </MDBBtn>
                    </div>
                  </form>
                </MDBCol>
              </MDBRow>
            </MDBContainer>
          );
        };
        
        export default FormPage;
         
        
    

Write to us




        
            
        import React from "react";
        import { MDBContainer, MDBRow, MDBCol, MDBBtn, MDBIcon } from "mdbreact";
        
        const FormPage = () => {
          return (
            <MDBContainer>
              <MDBRow>
                <MDBCol md="6">
                  <form>
                    <p className="h4 text-center mb-4">Write to us</p>
                    <label htmlFor="defaultFormContactNameEx" className="grey-text">
                      Your name
                    </label>
                    <input
                      type="text"
                      id="defaultFormContactNameEx"
                      className="form-control"
                    />
                    <br />
                    <label htmlFor="defaultFormContactEmailEx" className="grey-text">
                      Your email
                    </label>
                    <input
                      type="email"
                      id="defaultFormContactEmailEx"
                      className="form-control"
                    />
                    <br />
                    <label htmlFor="defaultFormContactSubjectEx" className="grey-text">
                      Subject
                    </label>
                    <input
                      type="text"
                      id="defaultFormContactSubjectEx"
                      className="form-control"
                    />
                    <br />
                    <label htmlFor="defaultFormContactMessageEx" className="grey-text">
                      Your message
                    </label>
                    <textarea
                      type="text"
                      id="defaultFormContactMessageEx"
                      className="form-control"
                      rows="3"
                    />
                    <div className="text-center mt-4">
                      <MDBBtn color="warning" outline type="submit">
                        Send
                        <MDBIcon far icon="paper-plane" className="ml-2" />
                      </MDBBtn>
                    </div>
                  </form>
                </MDBCol>
              </MDBRow>
            </MDBContainer>
          );
        };
        
        export default FormPage;
      
           
        
    

A form within a card

Sign up

        
            
          import React from "react";
          import {
            MDBContainer,
            MDBRow,
            MDBCol,
            MDBInput,
            MDBBtn,
            MDBCard,
            MDBCardBody,
          } from "mdbreact";

          const FormPage = () => {
            return (
              <MDBContainer>
                <MDBRow>
                  <MDBCol md="6">
                    <MDBCard>
                      <MDBCardBody>
                        <form>
                          <p className="h4 text-center py-4">Sign up</p>
                          <div className="grey-text">
                            <MDBInput
                              label="Your name"
                              icon="user"
                              group
                              type="text"
                              validate
                              error="wrong"
                              success="right"
                            />
                            <MDBInput
                              label="Your email"
                              icon="envelope"
                              group
                              type="email"
                              validate
                              error="wrong"
                              success="right"
                            />
                            <MDBInput
                              label="Confirm your email"
                              icon="exclamation-triangle"
                              group
                              type="text"
                              validate
                              error="wrong"
                              success="right"
                            />
                            <MDBInput
                              label="Your password"
                              icon="lock"
                              group
                              type="password"
                              validate
                            />
                          </div>
                          <div className="text-center py-4 mt-3">
                            <MDBBtn color="cyan" type="submit">
                              Register
                            </MDBBtn>
                          </div>
                        </form>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                </MDBRow>
              </MDBContainer>
            );
          };

          export default FormPage;
       
        
    

Subscribe


        
            
        import React from "react";
        import {
          MDBContainer,
          MDBRow,
          MDBCol,
          MDBBtn,
          MDBCard,
          MDBCardBody,
          MDBIcon,
        } from "mdbreact";
        
        const FormPage = () => {
          return (
            <MDBContainer>
              <MDBRow>
                <MDBCol md="6">
                  <MDBCard>
                    <MDBCardBody>
                      <form>
                        <p className="h4 text-center py-4">Subscribe</p>
                        <label
                          htmlFor="defaultFormCardNameEx"
                          className="grey-text font-weight-light"
                        >
                          Your name
                        </label>
                        <input
                          type="text"
                          id="defaultFormCardNameEx"
                          className="form-control"
                        />
                        <br />
                        <label
                          htmlFor="defaultFormCardEmailEx"
                          className="grey-text font-weight-light"
                        >
                          Your email
                        </label>
                        <input
                          type="email"
                          id="defaultFormCardEmailEx"
                          className="form-control"
                        />
                        <div className="text-center py-4 mt-3">
                          <MDBBtn className="btn btn-outline-purple" type="submit">
                            Send
                            <MDBIcon far icon="paper-plane" className="ml-2" />
                          </MDBBtn>
                        </div>
                      </form>
                    </MDBCardBody>
                  </MDBCard>
                </MDBCol>
              </MDBRow>
            </MDBContainer>
          );
        };
        
        export default FormPage;      
        
        
    

A gradient login form MDB Pro component

Login:

        
            
        import React from "react";
        import {
          MDBContainer,
          MDBRow,
          MDBCol,
          MDBCard,
          MDBCardBody,
          MDBModalFooter,
          MDBIcon,
          MDBCardHeader,
          MDBBtn,
          MDBInput,
        } from "mdbreact";
        
        const FormPage = () => {
          return (
            <MDBContainer>
              <MDBRow>
                <MDBCol md="6">
                  <MDBCard>
                    <MDBCardBody>
                      <MDBCardHeader className="form-header deep-blue-gradient rounded">
                        <h3 className="my-3">
                          <MDBIcon icon="lock" /> Login:
                        </h3>
                      </MDBCardHeader>
                      <form>
                        <div className="grey-text">
                          <MDBInput
                            label="Type your email"
                            icon="envelope"
                            group
                            type="email"
                            validate
                            error="wrong"
                            success="right"
                          />
                          <MDBInput
                            label="Type your password"
                            icon="lock"
                            group
                            type="password"
                            validate
                          />
                        </div>
        
                        <div className="text-center mt-4">
                          <MDBBtn color="light-blue" className="mb-3" type="submit">
                            Login
                          </MDBBtn>
                        </div>
                      </form>
                      <MDBModalFooter>
                        <div className="font-weight-light">
                          <p>Not a member? Sign Up</p>
                          <p>Forgot Password?</p>
                        </div>
                      </MDBModalFooter>
                    </MDBCardBody>
                  </MDBCard>
                </MDBCol>
              </MDBRow>
            </MDBContainer>
          );
        };
        
        export default FormPage;
           
        
        
    

Login:


        
            
                import React from "react";
                import {
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardBody,
                  MDBModalFooter,
                  MDBIcon,
                  MDBCardHeader,
                  MDBBtn
                } from "mdbreact";

                const FormPage = () => {
                  return (
                    <MDBContainer>
                      <MDBRow>
                        <MDBCol md="6">
                          <MDBCard>
                            <MDBCardBody>
                              <MDBCardHeader className="form-header warm-flame-gradient rounded">
                                <h3 className="my-3">
                                  <MDBIcon icon="lock" /> Login:
                                </h3>
                              </MDBCardHeader>
                              <label
                                htmlFor="defaultFormEmailEx"
                                className="grey-text font-weight-light"
                              >
                                Your email
                              </label>
                              <input
                                type="email"
                                id="defaultFormEmailEx"
                                className="form-control"
                              />

                              <label
                                htmlFor="defaultFormPasswordEx"
                                className="grey-text font-weight-light"
                              >
                                Your password
                              </label>
                              <input
                                type="password"
                                id="defaultFormPasswordEx"
                                className="form-control"
                              />

                              <div className="text-center mt-4">
                                <MDBBtn color="deep-orange" className="mb-3" type="submit">
                                  Login
                                </MDBBtn>
                              </div>

                              <MDBModalFooter>
                                <div className="font-weight-light">
                                  <p>Not a member? Sign Up</p>
                                  <p>Forgot Password?</p>
                                </div>
                              </MDBModalFooter>
                            </MDBCardBody>
                          </MDBCard>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  );
                };

                export default FormPage;
           
        
    

Form gradient MDB Pro component

Log in

Forgot Password?

Don't have an account? Sign up

        
            
          import React from "react";
          import {
            MDBContainer,
            MDBRow,
            MDBCol,
            MDBCard,
            MDBCardBody,
            MDBInput,
            MDBBtn,
            MDBIcon,
          } from "mdbreact";
          
          const FormPage = () => {
            return (
              <MDBContainer>
                <MDBRow>
                  <MDBCol md="6">
                    <MDBCard>
                      <div className="header pt-3 peach-gradient">
                        <MDBRow className="d-flex justify-content-center">
                          <h3 className="white-text mb-3 pt-3 font-weight-bold">
                            Log in
                          </h3>
                        </MDBRow>
                        <MDBRow className="mt-2 mb-3 d-flex justify-content-center">
                          <a href="#!" className="fa-lg p-2 m-2 fb-ic">
                            <MDBIcon
                              fab
                              icon="facebook-f"
                              size="lg"
                              className="white-text"
                            />
                          </a>
                          <a href="#!" className="fa-lg p-2 m-2 tw-ic">
                            <MDBIcon fab className="fa-twitter white-text fa-lg" />
                          </a>
                          <a href="#!" className="fa-lg p-2 m-2 gplus-ic">
                            <MDBIcon fab className="fa-google-plus-g white-text fa-lg" />
                          </a>
                        </MDBRow>
                      </div>
                      <MDBCardBody className="mx-4 mt-4">
                        <MDBInput label="Your email" group type="text" validate />
                        <MDBInput
                          label="Your password"
                          group
                          type="password"
                          validate
                          containerClass="mb-0"
                        />
                        <p className="font-small grey-text d-flex justify-content-end">
                          Forgot
                          <a href="#!" className="dark-grey-text ml-1 font-weight-bold">
                            Password?
                          </a>
                        </p>
                        <MDBRow className="d-flex align-items-center mb-4 mt-5">
                          <MDBCol md="5" className="d-flex align-items-start">
                            <div className="text-center">
                              <MDBBtn
                                color="grey"
                                rounded
                                type="button"
                                className="z-depth-1a"
                              >
                                Log in
                              </MDBBtn>
                            </div>
                          </MDBCol>
                          <MDBCol md="7" className="d-flex justify-content-end">
                            <p className="font-small grey-text mt-3">
                              Don't have an account?
                              <a
                                href="#!"
                                className="dark-grey-text ml-1 font-weight-bold"
                              >
                                Sign up
                              </a>
                            </p>
                          </MDBCol>
                        </MDBRow>
                      </MDBCardBody>
                    </MDBCard>
                  </MDBCol>
                </MDBRow>
              </MDBContainer>
            );
          };
        
          export default FormPage;
          
        
    
        
            

          .form-gradient .header {
            border-top-left-radius: 0.3rem;
            border-top-right-radius: 0.3rem;
          }
          
          .form-gradient input[type="text"]:focus:not([readonly]) {
            border-bottom: 1px solid #fd9267;
            -webkit-box-shadow: 0 1px 0 0 #fd9267;
            box-shadow: 0 1px 0 0 #fd9267;
          }
          
          .form-gradient input[type="text"]:focus:not([readonly]) + label {
            color: #4f4f4f;
          }
          
          .form-gradient input[type="password"]:focus:not([readonly]) {
            border-bottom: 1px solid #fd9267;
            -webkit-box-shadow: 0 1px 0 0 #fd9267;
            box-shadow: 0 1px 0 0 #fd9267;
          }
          
          .form-gradient input[type="password"]:focus:not([readonly]) + label {
            color: #4f4f4f;
          }
          

        
        
    

Form elegant MDB Pro component

Sign in

Forgot Password?

or Sign in with:

        
            
        import React from "react";
        import {
          MDBContainer,
          MDBRow,
          MDBCol,
          MDBCard,
          MDBCardBody,
          MDBInput,
          MDBBtn,
          MDBIcon,
          MDBModalFooter,
        } from "mdbreact";
        
        const FormPage = () => {
          return (
            <MDBContainer>
              <MDBRow>
                <MDBCol md="6">
                  <MDBCard>
                    <MDBCardBody className="mx-4">
                      <div className="text-center">
                        <h3 className="dark-grey-text mb-5">
                          <strong>Sign in</strong>
                        </h3>
                      </div>
                      <MDBInput
                        label="Your email"
                        group
                        type="email"
                        validate
                        error="wrong"
                        success="right"
                      />
                      <MDBInput
                        label="Your password"
                        group
                        type="password"
                        validate
                        containerClass="mb-0"
                      />
                      <p className="font-small blue-text d-flex justify-content-end pb-3">
                        Forgot
                        <a href="#!" className="blue-text ml-1">
                          Password?
                        </a>
                      </p>
                      <div className="text-center mb-3">
                        <MDBBtn
                          type="button"
                          gradient="blue"
                          rounded
                          className="btn-block z-depth-1a"
                        >
                          Sign in
                        </MDBBtn>
                      </div>
                      <p className="font-small dark-grey-text text-right d-flex justify-content-center mb-3 pt-2">
                        or Sign in with:
                      </p>
                      <div className="row my-3 d-flex justify-content-center">
                        <MDBBtn
                          type="button"
                          color="white"
                          rounded
                          className="mr-md-3 z-depth-1a"
                        >
                          <MDBIcon
                            fab
                            icon="facebook-f"
                            className="blue-text text-center"
                          />
                        </MDBBtn>
                        <MDBBtn
                          type="button"
                          color="white"
                          rounded
                          className="mr-md-3 z-depth-1a"
                        >
                          <MDBIcon fab icon="twitter" className="blue-text" />
                        </MDBBtn>
                        <MDBBtn
                          type="button"
                          color="white"
                          rounded
                          className="z-depth-1a"
                        >
                          <MDBIcon fab icon="google-plus-g" className="blue-text" />
                        </MDBBtn>
                      </div>
                    </MDBCardBody>
                    <MDBModalFooter className="mx-5 pt-3 mb-1">
                      <p className="font-small grey-text d-flex justify-content-end">
                        Not a member?
                        <a href="#!" className="blue-text ml-1">
                          Sign Up
                        </a>
                      </p>
                    </MDBModalFooter>
                  </MDBCard>
                </MDBCol>
              </MDBRow>
            </MDBContainer>
          );
        };
        
        export default FormPage;
          
        
    
        
            
          .form-elegant .font-small {
            font-size: 0.8rem;
          }
          
          .form-elegant .z-depth-1a {
            -webkit-box-shadow: 0 2px 5px 0 rgba(55, 161, 255, 0.26),
              0 4px 12px 0 rgba(121, 155, 254, 0.25);
            box-shadow: 0 2px 5px 0 rgba(55, 161, 255, 0.26),
              0 4px 12px 0 rgba(121, 155, 254, 0.25);
          }
          
          .form-elegant .z-depth-1-half,
          .form-elegant .btn:hover {
            -webkit-box-shadow: 0 5px 11px 0 rgba(85, 182, 255, 0.28),
              0 4px 15px 0 rgba(36, 133, 255, 0.15);
            box-shadow: 0 5px 11px 0 rgba(85, 182, 255, 0.28),
              0 4px 15px 0 rgba(36, 133, 255, 0.15);
          }
          
        
    

Form light MDB Pro component

Sign up

Have an account? Log in

        
            
          import React from "react";
          import {
            MDBContainer,
            MDBRow,
            MDBCol,
            MDBCard,
            MDBCardBody,
            MDBInput,
            MDBIcon,
            MDBBtn,
          } from "mdbreact";
          
          const FormPage = () => {
            return (
              <MDBContainer>
                <MDBRow>
                  <MDBCol md="6">
                    <MDBCard>
                      <MDBCardBody className="mx-4">
                        <div className="text-center">
                          <h3 className="pink-text mb-5">
                            <strong>Sign up</strong>
                          </h3>
                        </div>
                        <MDBInput label="Your email" group type="text" validate />
                        <MDBInput label="Your password" group type="password" validate />
                        <div className="md-form pb-3">
                          <div className="form-check my-4">
                            <MDBInput
                              label={
                                <>
                                  Accept&nbsp;
                                  <a href="!#" className="blue-text">
                                    the Terms and Conditions
                                  </a>
                                </>
                              }
                              type="checkbox"
                              id="checkbox1"
                            />
                          </div>
                        </div>
                        <MDBRow className="d-flex align-items-center mb-4">
                          <MDBCol md="6" className="text-center">
                            <MDBBtn className="z-depth-1" color="pink" rounded block>
                              Sign up
                            </MDBBtn>
                          </MDBCol>
                          <MDBCol md="6">
                            <p className="font-small grey-text d-flex justify-content-end">
                              Have an account?
                              <a href="#!" className="blue-text ml-1">
                                Log in
                              </a>
                            </p>
                          </MDBCol>
                        </MDBRow>
                      </MDBCardBody>
                      <div className="footer pt-3 mdb-color lighten-3">
                        <MDBRow className="d-flex justify-content-center">
                          <p className="font-small white-text mb-2 pt-3">
                            or Sign up with
                          </p>
                        </MDBRow>
                        <MDBRow className="mt-2 mb-3 d-flex justify-content-center">
                          <a href="#!" className="fa-lg p-2 m-2 fb-ic">
                            <MDBIcon
                              icon="facebook-f"
                              fab
                              size="lg"
                              className="white-text"
                            ></MDBIcon>
                          </a>
                          <a href="#!" className="fa-lg p-2 m-2 tw-ic">
                            <MDBIcon
                              fab
                              icon="twitter"
                              size="lg"
                              className="white-text"
                            ></MDBIcon>
                          </a>
                          <a href="#!" className="fa-lg p-2 m-2 gplus-ic">
                            <MDBIcon
                              fab
                              icon="google-plus-g"
                              size="lg"
                              className="white-text"
                            ></MDBIcon>
                          </a>
                        </MDBRow>
                      </div>
                    </MDBCard>
                  </MDBCol>
                </MDBRow>
              </MDBContainer>
            );
          };
          
          export default FormPage;        
          
        
    
        
            

          .form-light .font-small {
            font-size: 0.8rem;
          }
          
          .form-light [type="radio"] + label,
          .form-light [type="checkbox"] + label {
            font-size: 0.8rem;
          }
          
          .form-light [type="checkbox"] + label:before {
            top: 2px;
            width: 15px;
            height: 15px;
          }
          
          .form-light input[type="checkbox"] + label:before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 17px;
            height: 17px;
            z-index: 0;
            border-radius: 1px;
            margin-top: 2px;
            -webkit-transition: 0.2s;
            transition: 0.2s;
          }
          
          .form-light input[type="checkbox"]:checked + label:before {
            top: -4px;
            left: -3px;
            width: 12px;
            height: 22px;
            border-style: solid;
            border-width: 2px;
            border-color: transparent #eb3573 #eb3573 transparent;
            -webkit-transform: rotate(40deg);
            -ms-transform: rotate(40deg);
            transform: rotate(40deg);
            -webkit-backface-visibility: hidden;
            -webkit-transform-origin: 100% 100%;
            -ms-transform-origin: 100% 100%;
            transform-origin: 100% 100%;
          }
          
          .form-light .footer {
            border-bottom-left-radius: 0.3rem;
            border-bottom-right-radius: 0.3rem;
          }          

        
        
    

Form dark MDB Pro component

SIGN UP

Have an account? Log in

        
            
        import React from "react";
        import {
          MDBContainer,
          MDBRow,
          MDBCol,
          MDBBtn,
          MDBCard,
          MDBInput,
        } from "mdbreact";
        
        const FormPage = () => {
          return (
            <MDBContainer>
              <MDBRow>
                <MDBCol md="6">
                  <MDBCard
                    className="card-image"
                    style={{
                      backgroundImage:
                        "url(https://mdbootstrap.com/img/Photos/Others/pricing-table7.webp)",
                      width: "28rem",
                    }}
                  >
                    <div className="text-white rgba-stylish-strong py-5 px-5 z-depth-4">
                      <div className="text-center">
                        <h3 className="white-text mb-5 mt-4 font-weight-bold">
                          <strong>SIGN</strong>
                          <a href="#!" className="green-text font-weight-bold">
                            <strong> UP</strong>
                          </a>
                        </h3>
                      </div>
                      <MDBInput
                        label="Your email"
                        group
                        type="text"
                        validate
                        labelClass="white-text"
                      />
                      <MDBInput
                        label="Your password"
                        group
                        type="password"
                        validate
                        labelClass="white-text"
                      />
                      <div className="md-form pb-3">
                        <MDBInput
                          label={
                            <>
                              Accept the&nbsp;
                              <a href="#!" className="green-text font-weight-bold">
                                Terms and Conditions
                              </a>
                            </>
                          }
                          type="checkbox"
                          id="checkbox1"
                          labelClass="white-text"
                        />
                      </div>
                      <MDBRow className="d-flex align-items-center mb-4">
                        <div className="text-center mb-3 col-md-12">
                          <MDBBtn
                            color="success"
                            rounded
                            type="button"
                            className="btn-block z-depth-1"
                          >
                            Sign in
                          </MDBBtn>
                        </div>
                      </MDBRow>
                      <MDBCol md="12">
                        <p className="font-small white-text d-flex justify-content-end">
                          Have an account?
                          <a href="#!" className="green-text ml-1 font-weight-bold">
                            Log in
                          </a>
                        </p>
                      </MDBCol>
                    </div>
                  </MDBCard>
                </MDBCol>
              </MDBRow>
            </MDBContainer>
          );
        };
        
        export default FormPage;
        
           
        
    
        
            

          .form-dark .font-small {
            font-size: 0.8rem;
          }
          
          .form-dark [type="radio"] + label,
          .form-dark [type="checkbox"] + label {
            font-size: 0.8rem;
          }
          
          .form-dark [type="checkbox"] + label:before {
            top: 2px;
            width: 15px;
            height: 15px;
          }
          
          .form-dark .md-form label {
            color: #fff;
          }
          
          .form-dark input[type="text"]:focus:not([readonly]) {
            border-bottom: 1px solid #00c851;
            -webkit-box-shadow: 0 1px 0 0 #00c851;
            box-shadow: 0 1px 0 0 #00c851;
          }
          
          .form-dark input[type="text"]:focus:not([readonly]) + label {
            color: #fff;
          }
          
          .form-dark input[type="password"]:focus:not([readonly]) {
            border-bottom: 1px solid #00c851;
            -webkit-box-shadow: 0 1px 0 0 #00c851;
            box-shadow: 0 1px 0 0 #00c851;
          }
          
          .form-dark input[type="password"]:focus:not([readonly]) + label {
            color: #fff;
          }
          
          .form-dark input[type="checkbox"] + label:before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 17px;
            height: 17px;
            z-index: 0;
            border: 1.5px solid #fff;
            border-radius: 1px;
            margin-top: 2px;
            -webkit-transition: 0.2s;
            transition: 0.2s;
          }
          
          .form-dark input[type="checkbox"]:checked + label:before {
            top: -4px;
            left: -3px;
            width: 12px;
            height: 22px;
            border-style: solid;
            border-width: 2px;
            border-color: transparent #00c851 #00c851 transparent;
            -webkit-transform: rotate(40deg);
            -ms-transform: rotate(40deg);
            transform: rotate(40deg);
            -webkit-backface-visibility: hidden;
            -webkit-transform-origin: 100% 100%;
            -ms-transform-origin: 100% 100%;
            transform-origin: 100% 100%;
          }
          

        
        
    

Form simple MDB Pro component

Log in

Forgot Password?

Don't have an account? Sign up

        
            
        import React from "react";
        import {
          MDBContainer,
          MDBRow,
          MDBCol,
          MDBBtn,
          MDBCard,
          MDBCardBody,
          MDBInput,
        } from "mdbreact";
        
        const FormPage = () => {
          return (
            <MDBContainer>
              <MDBRow>
                <MDBCol md="6">
                  <MDBCard>
                    <div className="header pt-3 grey lighten-2">
                      <MDBRow className="d-flex justify-content-start">
                        <h3 className="deep-grey-text mt-3 mb-4 pb-1 mx-5">Log in</h3>
                      </MDBRow>
                    </div>
                    <MDBCardBody className="mx-4 mt-4">
                      <MDBInput label="Your email" group type="text" validate />
                      <MDBInput
                        label="Your password"
                        group
                        type="password"
                        validate
                        containerClass="mb-0"
                      />
                      <p className="font-small grey-text d-flex justify-content-end">
                        Forgot
                        <a href="#!" className="dark-grey-text font-weight-bold ml-1">
                          Password?
                        </a>
                      </p>
                      <div className="text-center mb-4 mt-5">
                        <MDBBtn
                          color="danger"
                          type="button"
                          className="btn-block z-depth-2"
                        >
                          Log in
                        </MDBBtn>
                      </div>
                      <p className="font-small grey-text d-flex justify-content-center">
                        Don't have an account?
                        <a href="#!" className="dark-grey-text font-weight-bold ml-1">
                          Sign up
                        </a>
                      </p>
                    </MDBCardBody>
                  </MDBCard>
                </MDBCol>
              </MDBRow>
            </MDBContainer>
          );
        };
        
        export default FormPage;
        
          
        
    
        
            

          .form-simple .font-small {
            font-size: 0.8rem;
          }
          
          .form-simple .header {
            border-top-left-radius: 0.3rem;
            border-top-right-radius: 0.3rem;
          }
          
          .form-simple input[type="text"]:focus:not([readonly]) {
            border-bottom: 1px solid #ff3547;
            -webkit-box-shadow: 0 1px 0 0 #ff3547;
            box-shadow: 0 1px 0 0 #ff3547;
          }
          
          .form-simple input[type="text"]:focus:not([readonly]) + label {
            color: #4f4f4f;
          }
          
          .form-simple input[type="password"]:focus:not([readonly]) {
            border-bottom: 1px solid #ff3547;
            -webkit-box-shadow: 0 1px 0 0 #ff3547;
            box-shadow: 0 1px 0 0 #ff3547;
          }
          
          .form-simple input[type="password"]:focus:not([readonly]) + label {
            color: #4f4f4f;
          }
          
         
        
    

Form exmaple with simple validation

For this example you have install react-router-dom. This example is showing, how to use simple validation with the simple data from object. The data is saving in the local storage.

You can ask, how to get to local storage?

So, It's simple. Just go to the developer tools by pressing F12, then go to the Application tab. In the Storage section expand Local Storage. After that, you'll see all your browser's local storage there.

Sign in

        
               
        import React from "react";
        import Login from "./Login";
        import Test from "./Test";
        
        import { Switch, Route } from "react-router-dom";
        
        class App extends React.Component {
          render() {
            return (
              <Switch>
                <Route exact path={["/login", "/"]}>
                  <Login />
                </Route>
                <Route exact path="/test">
                  <Test />
                </Route>
              </Switch>
            );
          }
        }
        
        export default App;
        
      
        
    
        
            
      import React from "react";
      import { MDBInput, MDBBtn, MDBCol } from "mdbreact";
      import { BrowserRouter as Router, withRouter } from "react-router-dom";
      
      const usersJson = {
        description: "Login and passwords of users",
        users: {
          testUser: {
            password: "test",
            type: "test",
          },
        },
      };
      
      class Login extends React.Component {
        state = {
          userName: "",
          password: "",
          usersJson: {},
        };
        componentDidMount() {
          this.setState({ usersJson });
        }
      
        getLoginData = (value, type) =>
          this.setState({
            [type]: value,
          });
      
        onFormSubmit = (e) => {
          e.preventDefault();
          const { usersJson, userName, password } = this.state;
          const filterUserName = Object.keys(usersJson.users).filter(
            (e) => e === userName
          );
          if (
            filterUserName.length > 0 &&
            usersJson.users[userName].password === password
          ) {
            this.props.history.push("test");
            window.localStorage.setItem(
              "user",
              JSON.stringify(usersJson.users[userName])
            );
          } else {
            alert("Wrong login or password");
          }
        };
        render() {
          return (
            <Router>
              <MDBCol size="3">
                <form onSubmit={this.onFormSubmit}>
                  <p className="h5 text-center mb-4">Sign in</p>
                  <div className="grey-text">
                    <MDBInput
                      label="Type your email"
                      icon="envelope"
                      group
                      type="text"
                      validate
                      error="wrong"
                      success="right"
                      getValue={(value) => this.getLoginData(value, "userName")}
                    />
                    <MDBInput
                      label="Type your password"
                      icon="lock"
                      group
                      type="password"
                      validate
                      getValue={(value) => this.getLoginData(value, "password")}
                    />
                  </div>
                  <div className="text-center">
                    <MDBBtn type="submit" onClick={this.onFormSubmit}>
                      Login
                    </MDBBtn>
                  </div>
                </form>
              </MDBCol>
            </Router>
          );
        }
      }
      
      export default withRouter(Login);
      
      
        
    
        
            
        import React from "react";

        export default function Test() {
          return <div>IT'S JUST A TEST</div>;
        }
       
        
    

React Input - API

In this section you will find advanced information about the React Input component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use to work with it.


Import statement

        
            
          import React from 'react';
          import { MDBInput } from 'mdbreact';
        
        
    

API Reference: Properties

The table below shows the configuration options of the MDBInput component.

Name Type Default Description Example
checked Boolean false Pre-selects checkbox/radio button when the page loads. <MDBInput checked />
className String Adds custom class to Input component <MDBInput className="myClass" />
containerClass String Adds custom class to wrapping div <MDBInput containerClass="wrapper" />
disabled Boolean false Disables input component <MDBInput disabled />
error String Sets the error message for the labels data-error attribute <MDBInput error="Whoops!" />
filled Boolean false Add filled-in style to checkbox/radio button <MDBInput type="checkbox" filled />
gap Boolean false Creates gap inside checkbox/radio button <MDBInput type="checkbox" gap />
group Boolean false Add .form-group class to the wrapping div <MDBInput group />
hint String Sets the placeholder for the Input <MDBInput hint="Placeholder" />
icon String Adds font-awesome icon <MDBInput icon="caret-right" />
iconBrand Boolean false Use this property to set brand icon (fab) <MDBInput icon="twitter" iconBrand />
iconClassName String Adds custom classes to icon element <MDBInput icon="envelope" iconClassName="customClass" />
iconLight Boolean false Use this property to set light icon (fal) <MDBInput icon="twitter" iconLight />
iconRegular Boolean false Use this property to set regular icon (far) <MDBInput icon="twitter" iconRegular />
iconSize String Sets icon size <MDBInput icon="pencil-alt" size="5x" />
id String Required! Set the id of the input element <MDBInput id="myId" />
inputRef Function Allows to attach React Ref to the input component; accepts only Callback Ref <MDBInput inputRef={ref => this.myRef = ref } />
label String Add label to the component; you can attach jsx elements (f.e. links) <MDBInput label="My custom input" />
labelClass String Adds custom class to the label <MDBInput labelClass="labelCustomClass" />
size String Changes size of the component; available lg and sm <MDBInput size="sm" />
success String Sets the success message for the labels data-success attribute <MDBInput success="Yeah!" />
tag String input Changes default input tag <MDBInput tag="div" />
type String text The type of the input element <MDBInput type="checkbox" />
validate Boolean false Adds .validate class to the Input component <MDBInput validate />
value String The value of the input element (use with the controlled input) <MDBInput value="I am controlled" onChange={this.handleChange} />
valueDefault String The default value of the input (use with the uncontrolled input) <MDBInput valueDefault="I am uncontrolled" />

Input also accepts all attributes mentioned here (if not overwritten by prop).


API Reference: Methods

The table below shows the methods which you can use with MDBInput component.

Name Parameters Description Example
getValue Method called on input change event; returns input value <MDBInput getValue={this.getValue} />
onBlur Method called on blur event, the blur event is raised when an element loses focus; returns event object <MDBInput onBlur={this.handleBlur} />
onChange Method called on change event; returns event object <MDBInput onChange={this.handleChange} />
onFocus Method called on focus event, the focus event is raised when the user sets focus on en element; returns event object <MDBInput onFocus={this.handleFocus} />
onInput Method called on input event; returns event object <MDBInput onInput={this.handleInput} />